var search_data = {"index":{"searchIndex":["aws","directoryservice","client","clientapi","errors","accessdeniedexception","authenticationfailedexception","certificatealreadyexistsexception","certificatedoesnotexistexception","certificateinuseexception","certificatelimitexceededexception","clientexception","directoryalreadyinregionexception","directoryalreadysharedexception","directorydoesnotexistexception","directorylimitexceededexception","directorynotsharedexception","directoryunavailableexception","domaincontrollerlimitexceededexception","entityalreadyexistsexception","entitydoesnotexistexception","insufficientpermissionsexception","invalidcertificateexception","invalidclientauthstatusexception","invalidldapsstatusexception","invalidnexttokenexception","invalidparameterexception","invalidpasswordexception","invalidtargetexception","iproutelimitexceededexception","noavailablecertificateexception","organizationsexception","regionlimitexceededexception","serviceexception","sharelimitexceededexception","snapshotlimitexceededexception","taglimitexceededexception","unsupportedoperationexception","userdoesnotexistexception","resource","types","acceptshareddirectoryrequest","acceptshareddirectoryresult","accessdeniedexception","addiproutesrequest","addiproutesresult","addregionrequest","addregionresult","addtagstoresourcerequest","addtagstoresourceresult","attribute","authenticationfailedexception","cancelschemaextensionrequest","cancelschemaextensionresult","certificate","certificatealreadyexistsexception","certificatedoesnotexistexception","certificateinuseexception","certificateinfo","certificatelimitexceededexception","clientauthenticationsettinginfo","clientcertauthsettings","clientexception","computer","conditionalforwarder","connectdirectoryrequest","connectdirectoryresult","createaliasrequest","createaliasresult","createcomputerrequest","createcomputerresult","createconditionalforwarderrequest","createconditionalforwarderresult","createdirectoryrequest","createdirectoryresult","createlogsubscriptionrequest","createlogsubscriptionresult","createmicrosoftadrequest","createmicrosoftadresult","createsnapshotrequest","createsnapshotresult","createtrustrequest","createtrustresult","deleteconditionalforwarderrequest","deleteconditionalforwarderresult","deletedirectoryrequest","deletedirectoryresult","deletelogsubscriptionrequest","deletelogsubscriptionresult","deletesnapshotrequest","deletesnapshotresult","deletetrustrequest","deletetrustresult","deregistercertificaterequest","deregistercertificateresult","deregistereventtopicrequest","deregistereventtopicresult","describecertificaterequest","describecertificateresult","describeclientauthenticationsettingsrequest","describeclientauthenticationsettingsresult","describeconditionalforwardersrequest","describeconditionalforwardersresult","describedirectoriesrequest","describedirectoriesresult","describedomaincontrollersrequest","describedomaincontrollersresult","describeeventtopicsrequest","describeeventtopicsresult","describeldapssettingsrequest","describeldapssettingsresult","describeregionsrequest","describeregionsresult","describeshareddirectoriesrequest","describeshareddirectoriesresult","describesnapshotsrequest","describesnapshotsresult","describetrustsrequest","describetrustsresult","directoryalreadyinregionexception","directoryalreadysharedexception","directoryconnectsettings","directoryconnectsettingsdescription","directorydescription","directorydoesnotexistexception","directorylimitexceededexception","directorylimits","directorynotsharedexception","directoryunavailableexception","directoryvpcsettings","directoryvpcsettingsdescription","disableclientauthenticationrequest","disableclientauthenticationresult","disableldapsrequest","disableldapsresult","disableradiusrequest","disableradiusresult","disablessorequest","disablessoresult","domaincontroller","domaincontrollerlimitexceededexception","enableclientauthenticationrequest","enableclientauthenticationresult","enableldapsrequest","enableldapsresult","enableradiusrequest","enableradiusresult","enablessorequest","enablessoresult","entityalreadyexistsexception","entitydoesnotexistexception","eventtopic","getdirectorylimitsrequest","getdirectorylimitsresult","getsnapshotlimitsrequest","getsnapshotlimitsresult","insufficientpermissionsexception","invalidcertificateexception","invalidclientauthstatusexception","invalidldapsstatusexception","invalidnexttokenexception","invalidparameterexception","invalidpasswordexception","invalidtargetexception","iproute","iprouteinfo","iproutelimitexceededexception","ldapssettinginfo","listcertificatesrequest","listcertificatesresult","listiproutesrequest","listiproutesresult","listlogsubscriptionsrequest","listlogsubscriptionsresult","listschemaextensionsrequest","listschemaextensionsresult","listtagsforresourcerequest","listtagsforresourceresult","logsubscription","noavailablecertificateexception","organizationsexception","ownerdirectorydescription","radiussettings","regiondescription","regionlimitexceededexception","regionsinfo","registercertificaterequest","registercertificateresult","registereventtopicrequest","registereventtopicresult","rejectshareddirectoryrequest","rejectshareddirectoryresult","removeiproutesrequest","removeiproutesresult","removeregionrequest","removeregionresult","removetagsfromresourcerequest","removetagsfromresourceresult","resetuserpasswordrequest","resetuserpasswordresult","restorefromsnapshotrequest","restorefromsnapshotresult","schemaextensioninfo","serviceexception","sharedirectoryrequest","sharedirectoryresult","sharelimitexceededexception","sharetarget","shareddirectory","snapshot","snapshotlimitexceededexception","snapshotlimits","startschemaextensionrequest","startschemaextensionresult","tag","taglimitexceededexception","trust","unsharedirectoryrequest","unsharedirectoryresult","unsharetarget","unsupportedoperationexception","updateconditionalforwarderrequest","updateconditionalforwarderresult","updatenumberofdomaincontrollersrequest","updatenumberofdomaincontrollersresult","updateradiusrequest","updateradiusresult","updatetrustrequest","updatetrustresult","userdoesnotexistexception","verifytrustrequest","verifytrustresult","accept_shared_directory()","add_ip_routes()","add_region()","add_tags_to_resource()","build_request()","cancel_schema_extension()","client()","connect_directory()","create_alias()","create_computer()","create_conditional_forwarder()","create_directory()","create_log_subscription()","create_microsoft_ad()","create_snapshot()","create_trust()","delete_conditional_forwarder()","delete_directory()","delete_log_subscription()","delete_snapshot()","delete_trust()","deregister_certificate()","deregister_event_topic()","describe_certificate()","describe_client_authentication_settings()","describe_conditional_forwarders()","describe_directories()","describe_domain_controllers()","describe_event_topics()","describe_ldaps_settings()","describe_regions()","describe_shared_directories()","describe_snapshots()","describe_trusts()","disable_client_authentication()","disable_ldaps()","disable_radius()","disable_sso()","enable_client_authentication()","enable_ldaps()","enable_radius()","enable_sso()","errors_module()","get_directory_limits()","get_snapshot_limits()","list_certificates()","list_ip_routes()","list_log_subscriptions()","list_schema_extensions()","list_tags_for_resource()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","register_certificate()","register_event_topic()","reject_shared_directory()","remove_ip_routes()","remove_region()","remove_tags_from_resource()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","request_id()","reset_user_password()","restore_from_snapshot()","share_directory()","start_schema_extension()","unshare_directory()","update_conditional_forwarder()","update_number_of_domain_controllers()","update_radius()","update_trust()","verify_trust()","waiter_names()"],"longSearchIndex":["aws","aws::directoryservice","aws::directoryservice::client","aws::directoryservice::clientapi","aws::directoryservice::errors","aws::directoryservice::errors::accessdeniedexception","aws::directoryservice::errors::authenticationfailedexception","aws::directoryservice::errors::certificatealreadyexistsexception","aws::directoryservice::errors::certificatedoesnotexistexception","aws::directoryservice::errors::certificateinuseexception","aws::directoryservice::errors::certificatelimitexceededexception","aws::directoryservice::errors::clientexception","aws::directoryservice::errors::directoryalreadyinregionexception","aws::directoryservice::errors::directoryalreadysharedexception","aws::directoryservice::errors::directorydoesnotexistexception","aws::directoryservice::errors::directorylimitexceededexception","aws::directoryservice::errors::directorynotsharedexception","aws::directoryservice::errors::directoryunavailableexception","aws::directoryservice::errors::domaincontrollerlimitexceededexception","aws::directoryservice::errors::entityalreadyexistsexception","aws::directoryservice::errors::entitydoesnotexistexception","aws::directoryservice::errors::insufficientpermissionsexception","aws::directoryservice::errors::invalidcertificateexception","aws::directoryservice::errors::invalidclientauthstatusexception","aws::directoryservice::errors::invalidldapsstatusexception","aws::directoryservice::errors::invalidnexttokenexception","aws::directoryservice::errors::invalidparameterexception","aws::directoryservice::errors::invalidpasswordexception","aws::directoryservice::errors::invalidtargetexception","aws::directoryservice::errors::iproutelimitexceededexception","aws::directoryservice::errors::noavailablecertificateexception","aws::directoryservice::errors::organizationsexception","aws::directoryservice::errors::regionlimitexceededexception","aws::directoryservice::errors::serviceexception","aws::directoryservice::errors::sharelimitexceededexception","aws::directoryservice::errors::snapshotlimitexceededexception","aws::directoryservice::errors::taglimitexceededexception","aws::directoryservice::errors::unsupportedoperationexception","aws::directoryservice::errors::userdoesnotexistexception","aws::directoryservice::resource","aws::directoryservice::types","aws::directoryservice::types::acceptshareddirectoryrequest","aws::directoryservice::types::acceptshareddirectoryresult","aws::directoryservice::types::accessdeniedexception","aws::directoryservice::types::addiproutesrequest","aws::directoryservice::types::addiproutesresult","aws::directoryservice::types::addregionrequest","aws::directoryservice::types::addregionresult","aws::directoryservice::types::addtagstoresourcerequest","aws::directoryservice::types::addtagstoresourceresult","aws::directoryservice::types::attribute","aws::directoryservice::types::authenticationfailedexception","aws::directoryservice::types::cancelschemaextensionrequest","aws::directoryservice::types::cancelschemaextensionresult","aws::directoryservice::types::certificate","aws::directoryservice::types::certificatealreadyexistsexception","aws::directoryservice::types::certificatedoesnotexistexception","aws::directoryservice::types::certificateinuseexception","aws::directoryservice::types::certificateinfo","aws::directoryservice::types::certificatelimitexceededexception","aws::directoryservice::types::clientauthenticationsettinginfo","aws::directoryservice::types::clientcertauthsettings","aws::directoryservice::types::clientexception","aws::directoryservice::types::computer","aws::directoryservice::types::conditionalforwarder","aws::directoryservice::types::connectdirectoryrequest","aws::directoryservice::types::connectdirectoryresult","aws::directoryservice::types::createaliasrequest","aws::directoryservice::types::createaliasresult","aws::directoryservice::types::createcomputerrequest","aws::directoryservice::types::createcomputerresult","aws::directoryservice::types::createconditionalforwarderrequest","aws::directoryservice::types::createconditionalforwarderresult","aws::directoryservice::types::createdirectoryrequest","aws::directoryservice::types::createdirectoryresult","aws::directoryservice::types::createlogsubscriptionrequest","aws::directoryservice::types::createlogsubscriptionresult","aws::directoryservice::types::createmicrosoftadrequest","aws::directoryservice::types::createmicrosoftadresult","aws::directoryservice::types::createsnapshotrequest","aws::directoryservice::types::createsnapshotresult","aws::directoryservice::types::createtrustrequest","aws::directoryservice::types::createtrustresult","aws::directoryservice::types::deleteconditionalforwarderrequest","aws::directoryservice::types::deleteconditionalforwarderresult","aws::directoryservice::types::deletedirectoryrequest","aws::directoryservice::types::deletedirectoryresult","aws::directoryservice::types::deletelogsubscriptionrequest","aws::directoryservice::types::deletelogsubscriptionresult","aws::directoryservice::types::deletesnapshotrequest","aws::directoryservice::types::deletesnapshotresult","aws::directoryservice::types::deletetrustrequest","aws::directoryservice::types::deletetrustresult","aws::directoryservice::types::deregistercertificaterequest","aws::directoryservice::types::deregistercertificateresult","aws::directoryservice::types::deregistereventtopicrequest","aws::directoryservice::types::deregistereventtopicresult","aws::directoryservice::types::describecertificaterequest","aws::directoryservice::types::describecertificateresult","aws::directoryservice::types::describeclientauthenticationsettingsrequest","aws::directoryservice::types::describeclientauthenticationsettingsresult","aws::directoryservice::types::describeconditionalforwardersrequest","aws::directoryservice::types::describeconditionalforwardersresult","aws::directoryservice::types::describedirectoriesrequest","aws::directoryservice::types::describedirectoriesresult","aws::directoryservice::types::describedomaincontrollersrequest","aws::directoryservice::types::describedomaincontrollersresult","aws::directoryservice::types::describeeventtopicsrequest","aws::directoryservice::types::describeeventtopicsresult","aws::directoryservice::types::describeldapssettingsrequest","aws::directoryservice::types::describeldapssettingsresult","aws::directoryservice::types::describeregionsrequest","aws::directoryservice::types::describeregionsresult","aws::directoryservice::types::describeshareddirectoriesrequest","aws::directoryservice::types::describeshareddirectoriesresult","aws::directoryservice::types::describesnapshotsrequest","aws::directoryservice::types::describesnapshotsresult","aws::directoryservice::types::describetrustsrequest","aws::directoryservice::types::describetrustsresult","aws::directoryservice::types::directoryalreadyinregionexception","aws::directoryservice::types::directoryalreadysharedexception","aws::directoryservice::types::directoryconnectsettings","aws::directoryservice::types::directoryconnectsettingsdescription","aws::directoryservice::types::directorydescription","aws::directoryservice::types::directorydoesnotexistexception","aws::directoryservice::types::directorylimitexceededexception","aws::directoryservice::types::directorylimits","aws::directoryservice::types::directorynotsharedexception","aws::directoryservice::types::directoryunavailableexception","aws::directoryservice::types::directoryvpcsettings","aws::directoryservice::types::directoryvpcsettingsdescription","aws::directoryservice::types::disableclientauthenticationrequest","aws::directoryservice::types::disableclientauthenticationresult","aws::directoryservice::types::disableldapsrequest","aws::directoryservice::types::disableldapsresult","aws::directoryservice::types::disableradiusrequest","aws::directoryservice::types::disableradiusresult","aws::directoryservice::types::disablessorequest","aws::directoryservice::types::disablessoresult","aws::directoryservice::types::domaincontroller","aws::directoryservice::types::domaincontrollerlimitexceededexception","aws::directoryservice::types::enableclientauthenticationrequest","aws::directoryservice::types::enableclientauthenticationresult","aws::directoryservice::types::enableldapsrequest","aws::directoryservice::types::enableldapsresult","aws::directoryservice::types::enableradiusrequest","aws::directoryservice::types::enableradiusresult","aws::directoryservice::types::enablessorequest","aws::directoryservice::types::enablessoresult","aws::directoryservice::types::entityalreadyexistsexception","aws::directoryservice::types::entitydoesnotexistexception","aws::directoryservice::types::eventtopic","aws::directoryservice::types::getdirectorylimitsrequest","aws::directoryservice::types::getdirectorylimitsresult","aws::directoryservice::types::getsnapshotlimitsrequest","aws::directoryservice::types::getsnapshotlimitsresult","aws::directoryservice::types::insufficientpermissionsexception","aws::directoryservice::types::invalidcertificateexception","aws::directoryservice::types::invalidclientauthstatusexception","aws::directoryservice::types::invalidldapsstatusexception","aws::directoryservice::types::invalidnexttokenexception","aws::directoryservice::types::invalidparameterexception","aws::directoryservice::types::invalidpasswordexception","aws::directoryservice::types::invalidtargetexception","aws::directoryservice::types::iproute","aws::directoryservice::types::iprouteinfo","aws::directoryservice::types::iproutelimitexceededexception","aws::directoryservice::types::ldapssettinginfo","aws::directoryservice::types::listcertificatesrequest","aws::directoryservice::types::listcertificatesresult","aws::directoryservice::types::listiproutesrequest","aws::directoryservice::types::listiproutesresult","aws::directoryservice::types::listlogsubscriptionsrequest","aws::directoryservice::types::listlogsubscriptionsresult","aws::directoryservice::types::listschemaextensionsrequest","aws::directoryservice::types::listschemaextensionsresult","aws::directoryservice::types::listtagsforresourcerequest","aws::directoryservice::types::listtagsforresourceresult","aws::directoryservice::types::logsubscription","aws::directoryservice::types::noavailablecertificateexception","aws::directoryservice::types::organizationsexception","aws::directoryservice::types::ownerdirectorydescription","aws::directoryservice::types::radiussettings","aws::directoryservice::types::regiondescription","aws::directoryservice::types::regionlimitexceededexception","aws::directoryservice::types::regionsinfo","aws::directoryservice::types::registercertificaterequest","aws::directoryservice::types::registercertificateresult","aws::directoryservice::types::registereventtopicrequest","aws::directoryservice::types::registereventtopicresult","aws::directoryservice::types::rejectshareddirectoryrequest","aws::directoryservice::types::rejectshareddirectoryresult","aws::directoryservice::types::removeiproutesrequest","aws::directoryservice::types::removeiproutesresult","aws::directoryservice::types::removeregionrequest","aws::directoryservice::types::removeregionresult","aws::directoryservice::types::removetagsfromresourcerequest","aws::directoryservice::types::removetagsfromresourceresult","aws::directoryservice::types::resetuserpasswordrequest","aws::directoryservice::types::resetuserpasswordresult","aws::directoryservice::types::restorefromsnapshotrequest","aws::directoryservice::types::restorefromsnapshotresult","aws::directoryservice::types::schemaextensioninfo","aws::directoryservice::types::serviceexception","aws::directoryservice::types::sharedirectoryrequest","aws::directoryservice::types::sharedirectoryresult","aws::directoryservice::types::sharelimitexceededexception","aws::directoryservice::types::sharetarget","aws::directoryservice::types::shareddirectory","aws::directoryservice::types::snapshot","aws::directoryservice::types::snapshotlimitexceededexception","aws::directoryservice::types::snapshotlimits","aws::directoryservice::types::startschemaextensionrequest","aws::directoryservice::types::startschemaextensionresult","aws::directoryservice::types::tag","aws::directoryservice::types::taglimitexceededexception","aws::directoryservice::types::trust","aws::directoryservice::types::unsharedirectoryrequest","aws::directoryservice::types::unsharedirectoryresult","aws::directoryservice::types::unsharetarget","aws::directoryservice::types::unsupportedoperationexception","aws::directoryservice::types::updateconditionalforwarderrequest","aws::directoryservice::types::updateconditionalforwarderresult","aws::directoryservice::types::updatenumberofdomaincontrollersrequest","aws::directoryservice::types::updatenumberofdomaincontrollersresult","aws::directoryservice::types::updateradiusrequest","aws::directoryservice::types::updateradiusresult","aws::directoryservice::types::updatetrustrequest","aws::directoryservice::types::updatetrustresult","aws::directoryservice::types::userdoesnotexistexception","aws::directoryservice::types::verifytrustrequest","aws::directoryservice::types::verifytrustresult","aws::directoryservice::client#accept_shared_directory()","aws::directoryservice::client#add_ip_routes()","aws::directoryservice::client#add_region()","aws::directoryservice::client#add_tags_to_resource()","aws::directoryservice::client#build_request()","aws::directoryservice::client#cancel_schema_extension()","aws::directoryservice::resource#client()","aws::directoryservice::client#connect_directory()","aws::directoryservice::client#create_alias()","aws::directoryservice::client#create_computer()","aws::directoryservice::client#create_conditional_forwarder()","aws::directoryservice::client#create_directory()","aws::directoryservice::client#create_log_subscription()","aws::directoryservice::client#create_microsoft_ad()","aws::directoryservice::client#create_snapshot()","aws::directoryservice::client#create_trust()","aws::directoryservice::client#delete_conditional_forwarder()","aws::directoryservice::client#delete_directory()","aws::directoryservice::client#delete_log_subscription()","aws::directoryservice::client#delete_snapshot()","aws::directoryservice::client#delete_trust()","aws::directoryservice::client#deregister_certificate()","aws::directoryservice::client#deregister_event_topic()","aws::directoryservice::client#describe_certificate()","aws::directoryservice::client#describe_client_authentication_settings()","aws::directoryservice::client#describe_conditional_forwarders()","aws::directoryservice::client#describe_directories()","aws::directoryservice::client#describe_domain_controllers()","aws::directoryservice::client#describe_event_topics()","aws::directoryservice::client#describe_ldaps_settings()","aws::directoryservice::client#describe_regions()","aws::directoryservice::client#describe_shared_directories()","aws::directoryservice::client#describe_snapshots()","aws::directoryservice::client#describe_trusts()","aws::directoryservice::client#disable_client_authentication()","aws::directoryservice::client#disable_ldaps()","aws::directoryservice::client#disable_radius()","aws::directoryservice::client#disable_sso()","aws::directoryservice::client#enable_client_authentication()","aws::directoryservice::client#enable_ldaps()","aws::directoryservice::client#enable_radius()","aws::directoryservice::client#enable_sso()","aws::directoryservice::client::errors_module()","aws::directoryservice::client#get_directory_limits()","aws::directoryservice::client#get_snapshot_limits()","aws::directoryservice::client#list_certificates()","aws::directoryservice::client#list_ip_routes()","aws::directoryservice::client#list_log_subscriptions()","aws::directoryservice::client#list_schema_extensions()","aws::directoryservice::client#list_tags_for_resource()","aws::directoryservice::errors::accessdeniedexception#message()","aws::directoryservice::errors::authenticationfailedexception#message()","aws::directoryservice::errors::certificatealreadyexistsexception#message()","aws::directoryservice::errors::certificatedoesnotexistexception#message()","aws::directoryservice::errors::certificateinuseexception#message()","aws::directoryservice::errors::certificatelimitexceededexception#message()","aws::directoryservice::errors::clientexception#message()","aws::directoryservice::errors::directoryalreadyinregionexception#message()","aws::directoryservice::errors::directoryalreadysharedexception#message()","aws::directoryservice::errors::directorydoesnotexistexception#message()","aws::directoryservice::errors::directorylimitexceededexception#message()","aws::directoryservice::errors::directorynotsharedexception#message()","aws::directoryservice::errors::directoryunavailableexception#message()","aws::directoryservice::errors::domaincontrollerlimitexceededexception#message()","aws::directoryservice::errors::entityalreadyexistsexception#message()","aws::directoryservice::errors::entitydoesnotexistexception#message()","aws::directoryservice::errors::insufficientpermissionsexception#message()","aws::directoryservice::errors::invalidcertificateexception#message()","aws::directoryservice::errors::invalidclientauthstatusexception#message()","aws::directoryservice::errors::invalidldapsstatusexception#message()","aws::directoryservice::errors::invalidnexttokenexception#message()","aws::directoryservice::errors::invalidparameterexception#message()","aws::directoryservice::errors::invalidpasswordexception#message()","aws::directoryservice::errors::invalidtargetexception#message()","aws::directoryservice::errors::iproutelimitexceededexception#message()","aws::directoryservice::errors::noavailablecertificateexception#message()","aws::directoryservice::errors::organizationsexception#message()","aws::directoryservice::errors::regionlimitexceededexception#message()","aws::directoryservice::errors::serviceexception#message()","aws::directoryservice::errors::sharelimitexceededexception#message()","aws::directoryservice::errors::snapshotlimitexceededexception#message()","aws::directoryservice::errors::taglimitexceededexception#message()","aws::directoryservice::errors::unsupportedoperationexception#message()","aws::directoryservice::errors::userdoesnotexistexception#message()","aws::directoryservice::client::new()","aws::directoryservice::errors::accessdeniedexception::new()","aws::directoryservice::errors::authenticationfailedexception::new()","aws::directoryservice::errors::certificatealreadyexistsexception::new()","aws::directoryservice::errors::certificatedoesnotexistexception::new()","aws::directoryservice::errors::certificateinuseexception::new()","aws::directoryservice::errors::certificatelimitexceededexception::new()","aws::directoryservice::errors::clientexception::new()","aws::directoryservice::errors::directoryalreadyinregionexception::new()","aws::directoryservice::errors::directoryalreadysharedexception::new()","aws::directoryservice::errors::directorydoesnotexistexception::new()","aws::directoryservice::errors::directorylimitexceededexception::new()","aws::directoryservice::errors::directorynotsharedexception::new()","aws::directoryservice::errors::directoryunavailableexception::new()","aws::directoryservice::errors::domaincontrollerlimitexceededexception::new()","aws::directoryservice::errors::entityalreadyexistsexception::new()","aws::directoryservice::errors::entitydoesnotexistexception::new()","aws::directoryservice::errors::insufficientpermissionsexception::new()","aws::directoryservice::errors::invalidcertificateexception::new()","aws::directoryservice::errors::invalidclientauthstatusexception::new()","aws::directoryservice::errors::invalidldapsstatusexception::new()","aws::directoryservice::errors::invalidnexttokenexception::new()","aws::directoryservice::errors::invalidparameterexception::new()","aws::directoryservice::errors::invalidpasswordexception::new()","aws::directoryservice::errors::invalidtargetexception::new()","aws::directoryservice::errors::iproutelimitexceededexception::new()","aws::directoryservice::errors::noavailablecertificateexception::new()","aws::directoryservice::errors::organizationsexception::new()","aws::directoryservice::errors::regionlimitexceededexception::new()","aws::directoryservice::errors::serviceexception::new()","aws::directoryservice::errors::sharelimitexceededexception::new()","aws::directoryservice::errors::snapshotlimitexceededexception::new()","aws::directoryservice::errors::taglimitexceededexception::new()","aws::directoryservice::errors::unsupportedoperationexception::new()","aws::directoryservice::errors::userdoesnotexistexception::new()","aws::directoryservice::resource::new()","aws::directoryservice::client#register_certificate()","aws::directoryservice::client#register_event_topic()","aws::directoryservice::client#reject_shared_directory()","aws::directoryservice::client#remove_ip_routes()","aws::directoryservice::client#remove_region()","aws::directoryservice::client#remove_tags_from_resource()","aws::directoryservice::errors::accessdeniedexception#request_id()","aws::directoryservice::errors::authenticationfailedexception#request_id()","aws::directoryservice::errors::certificatealreadyexistsexception#request_id()","aws::directoryservice::errors::certificatedoesnotexistexception#request_id()","aws::directoryservice::errors::certificateinuseexception#request_id()","aws::directoryservice::errors::certificatelimitexceededexception#request_id()","aws::directoryservice::errors::clientexception#request_id()","aws::directoryservice::errors::directoryalreadyinregionexception#request_id()","aws::directoryservice::errors::directoryalreadysharedexception#request_id()","aws::directoryservice::errors::directorydoesnotexistexception#request_id()","aws::directoryservice::errors::directorylimitexceededexception#request_id()","aws::directoryservice::errors::directorynotsharedexception#request_id()","aws::directoryservice::errors::directoryunavailableexception#request_id()","aws::directoryservice::errors::domaincontrollerlimitexceededexception#request_id()","aws::directoryservice::errors::entityalreadyexistsexception#request_id()","aws::directoryservice::errors::entitydoesnotexistexception#request_id()","aws::directoryservice::errors::insufficientpermissionsexception#request_id()","aws::directoryservice::errors::invalidcertificateexception#request_id()","aws::directoryservice::errors::invalidclientauthstatusexception#request_id()","aws::directoryservice::errors::invalidldapsstatusexception#request_id()","aws::directoryservice::errors::invalidnexttokenexception#request_id()","aws::directoryservice::errors::invalidparameterexception#request_id()","aws::directoryservice::errors::invalidpasswordexception#request_id()","aws::directoryservice::errors::invalidtargetexception#request_id()","aws::directoryservice::errors::iproutelimitexceededexception#request_id()","aws::directoryservice::errors::noavailablecertificateexception#request_id()","aws::directoryservice::errors::organizationsexception#request_id()","aws::directoryservice::errors::regionlimitexceededexception#request_id()","aws::directoryservice::errors::serviceexception#request_id()","aws::directoryservice::errors::sharelimitexceededexception#request_id()","aws::directoryservice::errors::snapshotlimitexceededexception#request_id()","aws::directoryservice::errors::taglimitexceededexception#request_id()","aws::directoryservice::errors::unsupportedoperationexception#request_id()","aws::directoryservice::errors::userdoesnotexistexception#request_id()","aws::directoryservice::client#reset_user_password()","aws::directoryservice::client#restore_from_snapshot()","aws::directoryservice::client#share_directory()","aws::directoryservice::client#start_schema_extension()","aws::directoryservice::client#unshare_directory()","aws::directoryservice::client#update_conditional_forwarder()","aws::directoryservice::client#update_number_of_domain_controllers()","aws::directoryservice::client#update_radius()","aws::directoryservice::client#update_trust()","aws::directoryservice::client#verify_trust()","aws::directoryservice::client#waiter_names()"],"info":[["Aws","","Aws.html","",""],["Aws::DirectoryService","","Aws/DirectoryService.html","","<p>This module provides support for AWS Directory Service. This module is available in the `aws-sdk-directoryservice` …\n"],["Aws::DirectoryService::Client","","Aws/DirectoryService/Client.html","","<p>An API client for DirectoryService.  To construct a client, you need to configure a `:region` and `:credentials`. …\n"],["Aws::DirectoryService::ClientApi","","Aws/DirectoryService/ClientApi.html","","<p>@api private\n"],["Aws::DirectoryService::Errors","","Aws/DirectoryService/Errors.html","","<p>When DirectoryService returns an error response, the Ruby SDK constructs and raises an error. These errors …\n"],["Aws::DirectoryService::Errors::AccessDeniedException","","Aws/DirectoryService/Errors/AccessDeniedException.html","",""],["Aws::DirectoryService::Errors::AuthenticationFailedException","","Aws/DirectoryService/Errors/AuthenticationFailedException.html","",""],["Aws::DirectoryService::Errors::CertificateAlreadyExistsException","","Aws/DirectoryService/Errors/CertificateAlreadyExistsException.html","",""],["Aws::DirectoryService::Errors::CertificateDoesNotExistException","","Aws/DirectoryService/Errors/CertificateDoesNotExistException.html","",""],["Aws::DirectoryService::Errors::CertificateInUseException","","Aws/DirectoryService/Errors/CertificateInUseException.html","",""],["Aws::DirectoryService::Errors::CertificateLimitExceededException","","Aws/DirectoryService/Errors/CertificateLimitExceededException.html","",""],["Aws::DirectoryService::Errors::ClientException","","Aws/DirectoryService/Errors/ClientException.html","",""],["Aws::DirectoryService::Errors::DirectoryAlreadyInRegionException","","Aws/DirectoryService/Errors/DirectoryAlreadyInRegionException.html","",""],["Aws::DirectoryService::Errors::DirectoryAlreadySharedException","","Aws/DirectoryService/Errors/DirectoryAlreadySharedException.html","",""],["Aws::DirectoryService::Errors::DirectoryDoesNotExistException","","Aws/DirectoryService/Errors/DirectoryDoesNotExistException.html","",""],["Aws::DirectoryService::Errors::DirectoryLimitExceededException","","Aws/DirectoryService/Errors/DirectoryLimitExceededException.html","",""],["Aws::DirectoryService::Errors::DirectoryNotSharedException","","Aws/DirectoryService/Errors/DirectoryNotSharedException.html","",""],["Aws::DirectoryService::Errors::DirectoryUnavailableException","","Aws/DirectoryService/Errors/DirectoryUnavailableException.html","",""],["Aws::DirectoryService::Errors::DomainControllerLimitExceededException","","Aws/DirectoryService/Errors/DomainControllerLimitExceededException.html","",""],["Aws::DirectoryService::Errors::EntityAlreadyExistsException","","Aws/DirectoryService/Errors/EntityAlreadyExistsException.html","",""],["Aws::DirectoryService::Errors::EntityDoesNotExistException","","Aws/DirectoryService/Errors/EntityDoesNotExistException.html","",""],["Aws::DirectoryService::Errors::InsufficientPermissionsException","","Aws/DirectoryService/Errors/InsufficientPermissionsException.html","",""],["Aws::DirectoryService::Errors::InvalidCertificateException","","Aws/DirectoryService/Errors/InvalidCertificateException.html","",""],["Aws::DirectoryService::Errors::InvalidClientAuthStatusException","","Aws/DirectoryService/Errors/InvalidClientAuthStatusException.html","",""],["Aws::DirectoryService::Errors::InvalidLDAPSStatusException","","Aws/DirectoryService/Errors/InvalidLDAPSStatusException.html","",""],["Aws::DirectoryService::Errors::InvalidNextTokenException","","Aws/DirectoryService/Errors/InvalidNextTokenException.html","",""],["Aws::DirectoryService::Errors::InvalidParameterException","","Aws/DirectoryService/Errors/InvalidParameterException.html","",""],["Aws::DirectoryService::Errors::InvalidPasswordException","","Aws/DirectoryService/Errors/InvalidPasswordException.html","",""],["Aws::DirectoryService::Errors::InvalidTargetException","","Aws/DirectoryService/Errors/InvalidTargetException.html","",""],["Aws::DirectoryService::Errors::IpRouteLimitExceededException","","Aws/DirectoryService/Errors/IpRouteLimitExceededException.html","",""],["Aws::DirectoryService::Errors::NoAvailableCertificateException","","Aws/DirectoryService/Errors/NoAvailableCertificateException.html","",""],["Aws::DirectoryService::Errors::OrganizationsException","","Aws/DirectoryService/Errors/OrganizationsException.html","",""],["Aws::DirectoryService::Errors::RegionLimitExceededException","","Aws/DirectoryService/Errors/RegionLimitExceededException.html","",""],["Aws::DirectoryService::Errors::ServiceException","","Aws/DirectoryService/Errors/ServiceException.html","",""],["Aws::DirectoryService::Errors::ShareLimitExceededException","","Aws/DirectoryService/Errors/ShareLimitExceededException.html","",""],["Aws::DirectoryService::Errors::SnapshotLimitExceededException","","Aws/DirectoryService/Errors/SnapshotLimitExceededException.html","",""],["Aws::DirectoryService::Errors::TagLimitExceededException","","Aws/DirectoryService/Errors/TagLimitExceededException.html","",""],["Aws::DirectoryService::Errors::UnsupportedOperationException","","Aws/DirectoryService/Errors/UnsupportedOperationException.html","",""],["Aws::DirectoryService::Errors::UserDoesNotExistException","","Aws/DirectoryService/Errors/UserDoesNotExistException.html","",""],["Aws::DirectoryService::Resource","","Aws/DirectoryService/Resource.html","",""],["Aws::DirectoryService::Types","","Aws/DirectoryService/Types.html","",""],["Aws::DirectoryService::Types::AcceptSharedDirectoryRequest","","Aws/DirectoryService/Types/AcceptSharedDirectoryRequest.html","","<p>@note When making an API call, you may pass AcceptSharedDirectoryRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::DirectoryService::Types::AcceptSharedDirectoryResult","","Aws/DirectoryService/Types/AcceptSharedDirectoryResult.html","","<p>@!attribute [rw] shared_directory\n\n<pre>The shared directory in the directory consumer account.\n@return [Types::SharedDirectory]</pre>\n"],["Aws::DirectoryService::Types::AccessDeniedException","","Aws/DirectoryService/Types/AccessDeniedException.html","","<p>Client authentication is not available in this region at this time.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">descriptive</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::AddIpRoutesRequest","","Aws/DirectoryService/Types/AddIpRoutesRequest.html","","<p>@note When making an API call, you may pass AddIpRoutesRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::AddIpRoutesResult","","Aws/DirectoryService/Types/AddIpRoutesResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/AddIpRoutesResult AWS API Documentation\n"],["Aws::DirectoryService::Types::AddRegionRequest","","Aws/DirectoryService/Types/AddRegionRequest.html","","<p>@note When making an API call, you may pass AddRegionRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::AddRegionResult","","Aws/DirectoryService/Types/AddRegionResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/AddRegionResult AWS API Documentation\n"],["Aws::DirectoryService::Types::AddTagsToResourceRequest","","Aws/DirectoryService/Types/AddTagsToResourceRequest.html","","<p>@note When making an API call, you may pass AddTagsToResourceRequest\n\n<pre>data as a hash:\n\n    {\n      resource_id: ...</pre>\n"],["Aws::DirectoryService::Types::AddTagsToResourceResult","","Aws/DirectoryService/Types/AddTagsToResourceResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/AddTagsToResourceResult AWS API Documentation\n"],["Aws::DirectoryService::Types::Attribute","","Aws/DirectoryService/Types/Attribute.html","","<p>Represents a named directory attribute.\n<p>@note When making an API call, you may pass Attribute\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">data</span> <span class=\"ruby-identifier\">as</span> <span class=\"ruby-identifier\">a</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::AuthenticationFailedException","","Aws/DirectoryService/Types/AuthenticationFailedException.html","","<p>An authentication error occurred.\n<p>@!attribute [rw] message\n\n<pre>The textual message for the exception.\n@return ...</pre>\n"],["Aws::DirectoryService::Types::CancelSchemaExtensionRequest","","Aws/DirectoryService/Types/CancelSchemaExtensionRequest.html","","<p>@note When making an API call, you may pass CancelSchemaExtensionRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::DirectoryService::Types::CancelSchemaExtensionResult","","Aws/DirectoryService/Types/CancelSchemaExtensionResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/CancelSchemaExtensionResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::Certificate","","Aws/DirectoryService/Types/Certificate.html","","<p>Information about the certificate.\n<p>@!attribute [rw] certificate_id\n\n<pre>The identifier of the certificate.\n@return ...</pre>\n"],["Aws::DirectoryService::Types::CertificateAlreadyExistsException","","Aws/DirectoryService/Types/CertificateAlreadyExistsException.html","","<p>The certificate has already been registered into the system.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">descriptive</span> <span class=\"ruby-identifier\">message</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CertificateDoesNotExistException","","Aws/DirectoryService/Types/CertificateDoesNotExistException.html","","<p>The certificate is not present in the system for describe or deregister activities.\n<p>@!attribute [rw] message …\n"],["Aws::DirectoryService::Types::CertificateInUseException","","Aws/DirectoryService/Types/CertificateInUseException.html","","<p>The certificate is being used for the LDAP security connection and cannot be removed without disabling …\n"],["Aws::DirectoryService::Types::CertificateInfo","","Aws/DirectoryService/Types/CertificateInfo.html","","<p>Contains general information about a certificate.\n<p>@!attribute [rw] certificate_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CertificateLimitExceededException","","Aws/DirectoryService/Types/CertificateLimitExceededException.html","","<p>The certificate could not be added because the certificate limit has been reached.\n<p>@!attribute [rw] message …\n"],["Aws::DirectoryService::Types::ClientAuthenticationSettingInfo","","Aws/DirectoryService/Types/ClientAuthenticationSettingInfo.html","","<p>Contains information about a client authentication method for a directory.\n<p>@!attribute [rw] type\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">type</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::ClientCertAuthSettings","","Aws/DirectoryService/Types/ClientCertAuthSettings.html","","<p>Contains information about the client certificate authentication settings for the `RegisterCertificate` …\n"],["Aws::DirectoryService::Types::ClientException","","Aws/DirectoryService/Types/ClientException.html","","<p>A client exception has occurred.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception.\n@return ...</pre>\n"],["Aws::DirectoryService::Types::Computer","","Aws/DirectoryService/Types/Computer.html","","<p>Contains information about a computer account in a directory.\n<p>@!attribute [rw] computer_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::ConditionalForwarder","","Aws/DirectoryService/Types/ConditionalForwarder.html","","<p>Points to a remote domain with which you are setting up a trust relationship. Conditional forwarders …\n"],["Aws::DirectoryService::Types::ConnectDirectoryRequest","","Aws/DirectoryService/Types/ConnectDirectoryRequest.html","","<p>Contains the inputs for the ConnectDirectory operation.\n<p>@note When making an API call, you may pass ConnectDirectoryRequest …\n"],["Aws::DirectoryService::Types::ConnectDirectoryResult","","Aws/DirectoryService/Types/ConnectDirectoryResult.html","","<p>Contains the results of the ConnectDirectory operation.\n<p>@!attribute [rw] directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CreateAliasRequest","","Aws/DirectoryService/Types/CreateAliasRequest.html","","<p>Contains the inputs for the CreateAlias operation.\n<p>@note When making an API call, you may pass CreateAliasRequest …\n"],["Aws::DirectoryService::Types::CreateAliasResult","","Aws/DirectoryService/Types/CreateAliasResult.html","","<p>Contains the results of the CreateAlias operation.\n<p>@!attribute [rw] directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CreateComputerRequest","","Aws/DirectoryService/Types/CreateComputerRequest.html","","<p>Contains the inputs for the CreateComputer operation.\n<p>@note When making an API call, you may pass CreateComputerRequest …\n"],["Aws::DirectoryService::Types::CreateComputerResult","","Aws/DirectoryService/Types/CreateComputerResult.html","","<p>Contains the results for the CreateComputer operation.\n<p>@!attribute [rw] computer\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">A</span> <span class=\"ruby-constant\">Computer</span> <span class=\"ruby-identifier\">object</span> <span class=\"ruby-identifier\">that</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CreateConditionalForwarderRequest","","Aws/DirectoryService/Types/CreateConditionalForwarderRequest.html","","<p>Initiates the creation of a conditional forwarder for your Directory Service for Microsoft Active Directory …\n"],["Aws::DirectoryService::Types::CreateConditionalForwarderResult","","Aws/DirectoryService/Types/CreateConditionalForwarderResult.html","","<p>The result of a CreateConditinalForwarder request.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/CreateConditionalForwarderResult …\n"],["Aws::DirectoryService::Types::CreateDirectoryRequest","","Aws/DirectoryService/Types/CreateDirectoryRequest.html","","<p>Contains the inputs for the CreateDirectory operation.\n<p>@note When making an API call, you may pass CreateDirectoryRequest …\n"],["Aws::DirectoryService::Types::CreateDirectoryResult","","Aws/DirectoryService/Types/CreateDirectoryResult.html","","<p>Contains the results of the CreateDirectory operation.\n<p>@!attribute [rw] directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CreateLogSubscriptionRequest","","Aws/DirectoryService/Types/CreateLogSubscriptionRequest.html","","<p>@note When making an API call, you may pass CreateLogSubscriptionRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::DirectoryService::Types::CreateLogSubscriptionResult","","Aws/DirectoryService/Types/CreateLogSubscriptionResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/CreateLogSubscriptionResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::CreateMicrosoftADRequest","","Aws/DirectoryService/Types/CreateMicrosoftADRequest.html","","<p>Creates an Managed Microsoft AD directory.\n<p>@note When making an API call, you may pass CreateMicrosoftADRequest …\n"],["Aws::DirectoryService::Types::CreateMicrosoftADResult","","Aws/DirectoryService/Types/CreateMicrosoftADResult.html","","<p>Result of a CreateMicrosoftAD request.\n<p>@!attribute [rw] directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">directory</span> <span class=\"ruby-identifier\">that</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CreateSnapshotRequest","","Aws/DirectoryService/Types/CreateSnapshotRequest.html","","<p>Contains the inputs for the CreateSnapshot operation.\n<p>@note When making an API call, you may pass CreateSnapshotRequest …\n"],["Aws::DirectoryService::Types::CreateSnapshotResult","","Aws/DirectoryService/Types/CreateSnapshotResult.html","","<p>Contains the results of the CreateSnapshot operation.\n<p>@!attribute [rw] snapshot_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::CreateTrustRequest","","Aws/DirectoryService/Types/CreateTrustRequest.html","","<p>Directory Service for Microsoft Active Directory allows you to configure trust relationships. For example, …\n"],["Aws::DirectoryService::Types::CreateTrustResult","","Aws/DirectoryService/Types/CreateTrustResult.html","","<p>The result of a CreateTrust request.\n<p>@!attribute [rw] trust_id\n\n<pre>A unique identifier for the trust relationship ...</pre>\n"],["Aws::DirectoryService::Types::DeleteConditionalForwarderRequest","","Aws/DirectoryService/Types/DeleteConditionalForwarderRequest.html","","<p>Deletes a conditional forwarder.\n<p>@note When making an API call, you may pass DeleteConditionalForwarderRequest …\n"],["Aws::DirectoryService::Types::DeleteConditionalForwarderResult","","Aws/DirectoryService/Types/DeleteConditionalForwarderResult.html","","<p>The result of a DeleteConditionalForwarder request.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DeleteConditionalForwarderResult …\n"],["Aws::DirectoryService::Types::DeleteDirectoryRequest","","Aws/DirectoryService/Types/DeleteDirectoryRequest.html","","<p>Contains the inputs for the DeleteDirectory operation.\n<p>@note When making an API call, you may pass DeleteDirectoryRequest …\n"],["Aws::DirectoryService::Types::DeleteDirectoryResult","","Aws/DirectoryService/Types/DeleteDirectoryResult.html","","<p>Contains the results of the DeleteDirectory operation.\n<p>@!attribute [rw] directory_id\n\n<pre>The directory identifier. ...</pre>\n"],["Aws::DirectoryService::Types::DeleteLogSubscriptionRequest","","Aws/DirectoryService/Types/DeleteLogSubscriptionRequest.html","","<p>@note When making an API call, you may pass DeleteLogSubscriptionRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::DirectoryService::Types::DeleteLogSubscriptionResult","","Aws/DirectoryService/Types/DeleteLogSubscriptionResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DeleteLogSubscriptionResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::DeleteSnapshotRequest","","Aws/DirectoryService/Types/DeleteSnapshotRequest.html","","<p>Contains the inputs for the DeleteSnapshot operation.\n<p>@note When making an API call, you may pass DeleteSnapshotRequest …\n"],["Aws::DirectoryService::Types::DeleteSnapshotResult","","Aws/DirectoryService/Types/DeleteSnapshotResult.html","","<p>Contains the results of the DeleteSnapshot operation.\n<p>@!attribute [rw] snapshot_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DeleteTrustRequest","","Aws/DirectoryService/Types/DeleteTrustRequest.html","","<p>Deletes the local side of an existing trust relationship between the Managed Microsoft AD directory and …\n"],["Aws::DirectoryService::Types::DeleteTrustResult","","Aws/DirectoryService/Types/DeleteTrustResult.html","","<p>The result of a DeleteTrust request.\n<p>@!attribute [rw] trust_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-constant\">Trust</span> <span class=\"ruby-constant\">ID</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">trust</span> <span class=\"ruby-identifier\">relationship</span> <span class=\"ruby-identifier\">that</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DeregisterCertificateRequest","","Aws/DirectoryService/Types/DeregisterCertificateRequest.html","","<p>@note When making an API call, you may pass DeregisterCertificateRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::DirectoryService::Types::DeregisterCertificateResult","","Aws/DirectoryService/Types/DeregisterCertificateResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DeregisterCertificateResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::DeregisterEventTopicRequest","","Aws/DirectoryService/Types/DeregisterEventTopicRequest.html","","<p>Removes the specified directory as a publisher to the specified Amazon SNS topic.\n<p>@note When making an …\n"],["Aws::DirectoryService::Types::DeregisterEventTopicResult","","Aws/DirectoryService/Types/DeregisterEventTopicResult.html","","<p>The result of a DeregisterEventTopic request.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DeregisterEventTopicResult …\n"],["Aws::DirectoryService::Types::DescribeCertificateRequest","","Aws/DirectoryService/Types/DescribeCertificateRequest.html","","<p>@note When making an API call, you may pass DescribeCertificateRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::DescribeCertificateResult","","Aws/DirectoryService/Types/DescribeCertificateResult.html","","<p>@!attribute [rw] certificate\n\n<pre>Information about the certificate, including registered date time,\ncertificate ...</pre>\n"],["Aws::DirectoryService::Types::DescribeClientAuthenticationSettingsRequest","","Aws/DirectoryService/Types/DescribeClientAuthenticationSettingsRequest.html","","<p>@note When making an API call, you may pass DescribeClientAuthenticationSettingsRequest\n\n<pre>data as a hash: ...</pre>\n"],["Aws::DirectoryService::Types::DescribeClientAuthenticationSettingsResult","","Aws/DirectoryService/Types/DescribeClientAuthenticationSettingsResult.html","","<p>@!attribute [rw] client_authentication_settings_info\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Information</span> <span class=\"ruby-identifier\">about</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">type</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">client</span> <span class=\"ruby-identifier\">authentication</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DescribeConditionalForwardersRequest","","Aws/DirectoryService/Types/DescribeConditionalForwardersRequest.html","","<p>Describes a conditional forwarder.\n<p>@note When making an API call, you may pass DescribeConditionalForwardersRequest …\n"],["Aws::DirectoryService::Types::DescribeConditionalForwardersResult","","Aws/DirectoryService/Types/DescribeConditionalForwardersResult.html","","<p>The result of a DescribeConditionalForwarder request.\n<p>@!attribute [rw] conditional_forwarders\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">list</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DescribeDirectoriesRequest","","Aws/DirectoryService/Types/DescribeDirectoriesRequest.html","","<p>Contains the inputs for the DescribeDirectories operation.\n<p>@note When making an API call, you may pass …\n"],["Aws::DirectoryService::Types::DescribeDirectoriesResult","","Aws/DirectoryService/Types/DescribeDirectoriesResult.html","","<p>Contains the results of the DescribeDirectories operation.\n<p>@!attribute [rw] directory_descriptions\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DescribeDomainControllersRequest","","Aws/DirectoryService/Types/DescribeDomainControllersRequest.html","","<p>@note When making an API call, you may pass DescribeDomainControllersRequest\n\n<pre>data as a hash:\n\n    {\n  ...</pre>\n"],["Aws::DirectoryService::Types::DescribeDomainControllersResult","","Aws/DirectoryService/Types/DescribeDomainControllersResult.html","","<p>@!attribute [rw] domain_controllers\n\n<pre>List of the DomainController objects that were retrieved.\n@return ...</pre>\n"],["Aws::DirectoryService::Types::DescribeEventTopicsRequest","","Aws/DirectoryService/Types/DescribeEventTopicsRequest.html","","<p>Describes event topics.\n<p>@note When making an API call, you may pass DescribeEventTopicsRequest\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">data</span> <span class=\"ruby-identifier\">as</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DescribeEventTopicsResult","","Aws/DirectoryService/Types/DescribeEventTopicsResult.html","","<p>The result of a DescribeEventTopic request.\n<p>@!attribute [rw] event_topics\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">A</span> <span class=\"ruby-identifier\">list</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-constant\">Amazon</span> <span class=\"ruby-constant\">SNS</span> <span class=\"ruby-identifier\">topic</span> <span class=\"ruby-identifier\">names</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DescribeLDAPSSettingsRequest","","Aws/DirectoryService/Types/DescribeLDAPSSettingsRequest.html","","<p>@note When making an API call, you may pass DescribeLDAPSSettingsRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::DirectoryService::Types::DescribeLDAPSSettingsResult","","Aws/DirectoryService/Types/DescribeLDAPSSettingsResult.html","","<p>@!attribute [rw] ldaps_settings_info\n\n<pre>Information about LDAP security for the specified directory,\nincluding ...</pre>\n"],["Aws::DirectoryService::Types::DescribeRegionsRequest","","Aws/DirectoryService/Types/DescribeRegionsRequest.html","","<p>@note When making an API call, you may pass DescribeRegionsRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::DescribeRegionsResult","","Aws/DirectoryService/Types/DescribeRegionsResult.html","","<p>@!attribute [rw] regions_description\n\n<pre>List of Region information related to the directory for each\nreplicated ...</pre>\n"],["Aws::DirectoryService::Types::DescribeSharedDirectoriesRequest","","Aws/DirectoryService/Types/DescribeSharedDirectoriesRequest.html","","<p>@note When making an API call, you may pass DescribeSharedDirectoriesRequest\n\n<pre>data as a hash:\n\n    {\n  ...</pre>\n"],["Aws::DirectoryService::Types::DescribeSharedDirectoriesResult","","Aws/DirectoryService/Types/DescribeSharedDirectoriesResult.html","","<p>@!attribute [rw] shared_directories\n\n<pre>A list of all shared directories in your account.\n@return [Array&lt;Types::SharedDirectory&gt;]</pre>\n"],["Aws::DirectoryService::Types::DescribeSnapshotsRequest","","Aws/DirectoryService/Types/DescribeSnapshotsRequest.html","","<p>Contains the inputs for the DescribeSnapshots operation.\n<p>@note When making an API call, you may pass  …\n"],["Aws::DirectoryService::Types::DescribeSnapshotsResult","","Aws/DirectoryService/Types/DescribeSnapshotsResult.html","","<p>Contains the results of the DescribeSnapshots operation.\n<p>@!attribute [rw] snapshots\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">list</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-constant\">Snapshot</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DescribeTrustsRequest","","Aws/DirectoryService/Types/DescribeTrustsRequest.html","","<p>Describes the trust relationships for a particular Managed Microsoft AD directory. If no input parameters …\n"],["Aws::DirectoryService::Types::DescribeTrustsResult","","Aws/DirectoryService/Types/DescribeTrustsResult.html","","<p>The result of a DescribeTrust request.\n<p>@!attribute [rw] trusts\n\n<pre>The list of Trust objects that were retrieved. ...</pre>\n"],["Aws::DirectoryService::Types::DirectoryAlreadyInRegionException","","Aws/DirectoryService/Types/DirectoryAlreadyInRegionException.html","","<p>The Region you specified is the same Region where the Managed Microsoft AD directory was created. Specify …\n"],["Aws::DirectoryService::Types::DirectoryAlreadySharedException","","Aws/DirectoryService/Types/DirectoryAlreadySharedException.html","","<p>The specified directory has already been shared with this Amazon Web Services account.\n<p>@!attribute [rw] …\n"],["Aws::DirectoryService::Types::DirectoryConnectSettings","","Aws/DirectoryService/Types/DirectoryConnectSettings.html","","<p>Contains information for the ConnectDirectory operation when an AD Connector directory is being created. …\n"],["Aws::DirectoryService::Types::DirectoryConnectSettingsDescription","","Aws/DirectoryService/Types/DirectoryConnectSettingsDescription.html","","<p>Contains information about an AD Connector directory.\n<p>@!attribute [rw] vpc_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-constant\">VPC</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DirectoryDescription","","Aws/DirectoryService/Types/DirectoryDescription.html","","<p>Contains information about an Directory Service directory.\n<p>@!attribute [rw] directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">directory</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DirectoryDoesNotExistException","","Aws/DirectoryService/Types/DirectoryDoesNotExistException.html","","<p>The specified directory does not exist in the system.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">descriptive</span> <span class=\"ruby-identifier\">message</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DirectoryLimitExceededException","","Aws/DirectoryService/Types/DirectoryLimitExceededException.html","","<p>The maximum number of directories in the region has been reached. You can use the GetDirectoryLimits …\n"],["Aws::DirectoryService::Types::DirectoryLimits","","Aws/DirectoryService/Types/DirectoryLimits.html","","<p>Contains directory limit information for a Region.\n<p>@!attribute [rw] cloud_only_directories_limit\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">maximum</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DirectoryNotSharedException","","Aws/DirectoryService/Types/DirectoryNotSharedException.html","","<p>The specified directory has not been shared with this Amazon Web Services account.\n<p>@!attribute [rw] message …\n"],["Aws::DirectoryService::Types::DirectoryUnavailableException","","Aws/DirectoryService/Types/DirectoryUnavailableException.html","","<p>The specified directory is unavailable or could not be found.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">descriptive</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DirectoryVpcSettings","","Aws/DirectoryService/Types/DirectoryVpcSettings.html","","<p>Contains VPC information for the CreateDirectory or CreateMicrosoftAD operation.\n<p>@note When making an …\n"],["Aws::DirectoryService::Types::DirectoryVpcSettingsDescription","","Aws/DirectoryService/Types/DirectoryVpcSettingsDescription.html","","<p>Contains information about the directory.\n<p>@!attribute [rw] vpc_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-constant\">VPC</span> <span class=\"ruby-identifier\">that</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">directory</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::DisableClientAuthenticationRequest","","Aws/DirectoryService/Types/DisableClientAuthenticationRequest.html","","<p>@note When making an API call, you may pass DisableClientAuthenticationRequest\n\n<pre>data as a hash:\n\n    { ...</pre>\n"],["Aws::DirectoryService::Types::DisableClientAuthenticationResult","","Aws/DirectoryService/Types/DisableClientAuthenticationResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DisableClientAuthenticationResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::DisableLDAPSRequest","","Aws/DirectoryService/Types/DisableLDAPSRequest.html","","<p>@note When making an API call, you may pass DisableLDAPSRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::DisableLDAPSResult","","Aws/DirectoryService/Types/DisableLDAPSResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DisableLDAPSResult AWS API Documentation\n"],["Aws::DirectoryService::Types::DisableRadiusRequest","","Aws/DirectoryService/Types/DisableRadiusRequest.html","","<p>Contains the inputs for the DisableRadius operation.\n<p>@note When making an API call, you may pass DisableRadiusRequest …\n"],["Aws::DirectoryService::Types::DisableRadiusResult","","Aws/DirectoryService/Types/DisableRadiusResult.html","","<p>Contains the results of the DisableRadius operation.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DisableRadiusResult …\n"],["Aws::DirectoryService::Types::DisableSsoRequest","","Aws/DirectoryService/Types/DisableSsoRequest.html","","<p>Contains the inputs for the DisableSso operation.\n<p>@note When making an API call, you may pass DisableSsoRequest …\n"],["Aws::DirectoryService::Types::DisableSsoResult","","Aws/DirectoryService/Types/DisableSsoResult.html","","<p>Contains the results of the DisableSso operation.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/DisableSsoResult …\n"],["Aws::DirectoryService::Types::DomainController","","Aws/DirectoryService/Types/DomainController.html","","<p>Contains information about the domain controllers for a specified directory.\n<p>@!attribute [rw] directory_id …\n"],["Aws::DirectoryService::Types::DomainControllerLimitExceededException","","Aws/DirectoryService/Types/DomainControllerLimitExceededException.html","","<p>The maximum allowed number of domain controllers per directory was exceeded. The default limit per directory …\n"],["Aws::DirectoryService::Types::EnableClientAuthenticationRequest","","Aws/DirectoryService/Types/EnableClientAuthenticationRequest.html","","<p>@note When making an API call, you may pass EnableClientAuthenticationRequest\n\n<pre>data as a hash:\n\n    {\n ...</pre>\n"],["Aws::DirectoryService::Types::EnableClientAuthenticationResult","","Aws/DirectoryService/Types/EnableClientAuthenticationResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/EnableClientAuthenticationResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::EnableLDAPSRequest","","Aws/DirectoryService/Types/EnableLDAPSRequest.html","","<p>@note When making an API call, you may pass EnableLDAPSRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::EnableLDAPSResult","","Aws/DirectoryService/Types/EnableLDAPSResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/EnableLDAPSResult AWS API Documentation\n"],["Aws::DirectoryService::Types::EnableRadiusRequest","","Aws/DirectoryService/Types/EnableRadiusRequest.html","","<p>Contains the inputs for the EnableRadius operation.\n<p>@note When making an API call, you may pass EnableRadiusRequest …\n"],["Aws::DirectoryService::Types::EnableRadiusResult","","Aws/DirectoryService/Types/EnableRadiusResult.html","","<p>Contains the results of the EnableRadius operation.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/EnableRadiusResult …\n"],["Aws::DirectoryService::Types::EnableSsoRequest","","Aws/DirectoryService/Types/EnableSsoRequest.html","","<p>Contains the inputs for the EnableSso operation.\n<p>@note When making an API call, you may pass EnableSsoRequest …\n"],["Aws::DirectoryService::Types::EnableSsoResult","","Aws/DirectoryService/Types/EnableSsoResult.html","","<p>Contains the results of the EnableSso operation.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/EnableSsoResult …\n"],["Aws::DirectoryService::Types::EntityAlreadyExistsException","","Aws/DirectoryService/Types/EntityAlreadyExistsException.html","","<p>The specified entity already exists.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception. ...</pre>\n"],["Aws::DirectoryService::Types::EntityDoesNotExistException","","Aws/DirectoryService/Types/EntityDoesNotExistException.html","","<p>The specified entity could not be found.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception. ...</pre>\n"],["Aws::DirectoryService::Types::EventTopic","","Aws/DirectoryService/Types/EventTopic.html","","<p>Information about Amazon SNS topic and Directory Service directory associations.\n<p>@!attribute [rw] directory_id …\n"],["Aws::DirectoryService::Types::GetDirectoryLimitsRequest","","Aws/DirectoryService/Types/GetDirectoryLimitsRequest.html","","<p>Contains the inputs for the GetDirectoryLimits operation.\n<p>@api private\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/GetDirectoryLimitsRequest …\n"],["Aws::DirectoryService::Types::GetDirectoryLimitsResult","","Aws/DirectoryService/Types/GetDirectoryLimitsResult.html","","<p>Contains the results of the GetDirectoryLimits operation.\n<p>@!attribute [rw] directory_limits\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">A</span> <span class=\"ruby-constant\">DirectoryLimits</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::GetSnapshotLimitsRequest","","Aws/DirectoryService/Types/GetSnapshotLimitsRequest.html","","<p>Contains the inputs for the GetSnapshotLimits operation.\n<p>@note When making an API call, you may pass  …\n"],["Aws::DirectoryService::Types::GetSnapshotLimitsResult","","Aws/DirectoryService/Types/GetSnapshotLimitsResult.html","","<p>Contains the results of the GetSnapshotLimits operation.\n<p>@!attribute [rw] snapshot_limits\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">A</span> <span class=\"ruby-constant\">SnapshotLimits</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::InsufficientPermissionsException","","Aws/DirectoryService/Types/InsufficientPermissionsException.html","","<p>The account does not have sufficient permission to perform the operation.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::InvalidCertificateException","","Aws/DirectoryService/Types/InvalidCertificateException.html","","<p>The certificate PEM that was provided has incorrect encoding.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">descriptive</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::InvalidClientAuthStatusException","","Aws/DirectoryService/Types/InvalidClientAuthStatusException.html","","<p>Client authentication is already enabled.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception. ...</pre>\n"],["Aws::DirectoryService::Types::InvalidLDAPSStatusException","","Aws/DirectoryService/Types/InvalidLDAPSStatusException.html","","<p>The LDAP activities could not be performed because they are limited by the LDAPS status.\n<p>@!attribute [rw] …\n"],["Aws::DirectoryService::Types::InvalidNextTokenException","","Aws/DirectoryService/Types/InvalidNextTokenException.html","","<p>The `NextToken` value is not valid.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception. ...</pre>\n"],["Aws::DirectoryService::Types::InvalidParameterException","","Aws/DirectoryService/Types/InvalidParameterException.html","","<p>One or more parameters are not valid.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception. ...</pre>\n"],["Aws::DirectoryService::Types::InvalidPasswordException","","Aws/DirectoryService/Types/InvalidPasswordException.html","","<p>The new password provided by the user does not meet the password complexity requirements defined in your …\n"],["Aws::DirectoryService::Types::InvalidTargetException","","Aws/DirectoryService/Types/InvalidTargetException.html","","<p>The specified shared target is not valid.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception. ...</pre>\n"],["Aws::DirectoryService::Types::IpRoute","","Aws/DirectoryService/Types/IpRoute.html","","<p>IP address block. This is often the address block of the DNS server used for your self-managed domain. …\n"],["Aws::DirectoryService::Types::IpRouteInfo","","Aws/DirectoryService/Types/IpRouteInfo.html","","<p>Information about one or more IP address blocks.\n<p>@!attribute [rw] directory_id\n\n<pre>Identifier (ID) of the directory ...</pre>\n"],["Aws::DirectoryService::Types::IpRouteLimitExceededException","","Aws/DirectoryService/Types/IpRouteLimitExceededException.html","","<p>The maximum allowed number of IP addresses was exceeded. The default limit is 100 IP address blocks. …\n"],["Aws::DirectoryService::Types::LDAPSSettingInfo","","Aws/DirectoryService/Types/LDAPSSettingInfo.html","","<p>Contains general information about the LDAPS settings.\n<p>@!attribute [rw] ldaps_status\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">state</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-constant\">LDAPS</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::ListCertificatesRequest","","Aws/DirectoryService/Types/ListCertificatesRequest.html","","<p>@note When making an API call, you may pass ListCertificatesRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::ListCertificatesResult","","Aws/DirectoryService/Types/ListCertificatesResult.html","","<p>@!attribute [rw] next_token\n\n<pre>Indicates whether another page of certificates is available when the\nnumber ...</pre>\n"],["Aws::DirectoryService::Types::ListIpRoutesRequest","","Aws/DirectoryService/Types/ListIpRoutesRequest.html","","<p>@note When making an API call, you may pass ListIpRoutesRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::ListIpRoutesResult","","Aws/DirectoryService/Types/ListIpRoutesResult.html","","<p>@!attribute [rw] ip_routes_info\n\n<pre>A list of IpRoutes.\n@return [Array&lt;Types::IpRouteInfo&gt;]</pre>\n<p>@!attribute [rw] …\n"],["Aws::DirectoryService::Types::ListLogSubscriptionsRequest","","Aws/DirectoryService/Types/ListLogSubscriptionsRequest.html","","<p>@note When making an API call, you may pass ListLogSubscriptionsRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::ListLogSubscriptionsResult","","Aws/DirectoryService/Types/ListLogSubscriptionsResult.html","","<p>@!attribute [rw] log_subscriptions\n\n<pre>A list of active LogSubscription objects for calling the Amazon Web ...</pre>\n"],["Aws::DirectoryService::Types::ListSchemaExtensionsRequest","","Aws/DirectoryService/Types/ListSchemaExtensionsRequest.html","","<p>@note When making an API call, you may pass ListSchemaExtensionsRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::ListSchemaExtensionsResult","","Aws/DirectoryService/Types/ListSchemaExtensionsResult.html","","<p>@!attribute [rw] schema_extensions_info\n\n<pre>Information about the schema extensions applied to the directory. ...</pre>\n"],["Aws::DirectoryService::Types::ListTagsForResourceRequest","","Aws/DirectoryService/Types/ListTagsForResourceRequest.html","","<p>@note When making an API call, you may pass ListTagsForResourceRequest\n\n<pre>data as a hash:\n\n    {\n      resource_id: ...</pre>\n"],["Aws::DirectoryService::Types::ListTagsForResourceResult","","Aws/DirectoryService/Types/ListTagsForResourceResult.html","","<p>@!attribute [rw] tags\n\n<pre>List of tags returned by the ListTagsForResource operation.\n@return [Array&lt;Types::Tag&gt;]</pre>\n"],["Aws::DirectoryService::Types::LogSubscription","","Aws/DirectoryService/Types/LogSubscription.html","","<p>Represents a log subscription, which tracks real-time data from a chosen log group to a specified destination. …\n"],["Aws::DirectoryService::Types::NoAvailableCertificateException","","Aws/DirectoryService/Types/NoAvailableCertificateException.html","","<p>Client authentication setup could not be completed because at least one valid certificate must be registered …\n"],["Aws::DirectoryService::Types::OrganizationsException","","Aws/DirectoryService/Types/OrganizationsException.html","","<p>Exception encountered while trying to access your Amazon Web Services organization.\n<p>@!attribute [rw] message …\n"],["Aws::DirectoryService::Types::OwnerDirectoryDescription","","Aws/DirectoryService/Types/OwnerDirectoryDescription.html","","<p>Describes the directory owner account details that have been shared to the directory consumer account. …\n"],["Aws::DirectoryService::Types::RadiusSettings","","Aws/DirectoryService/Types/RadiusSettings.html","","<p>Contains information about a Remote Authentication Dial In User Service (RADIUS) server.\n<p>@note When making …\n"],["Aws::DirectoryService::Types::RegionDescription","","Aws/DirectoryService/Types/RegionDescription.html","","<p>The replicated Region information for a directory.\n<p>@!attribute [rw] directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::RegionLimitExceededException","","Aws/DirectoryService/Types/RegionLimitExceededException.html","","<p>You have reached the limit for maximum number of simultaneous Region replications per directory.\n<p>@!attribute …\n"],["Aws::DirectoryService::Types::RegionsInfo","","Aws/DirectoryService/Types/RegionsInfo.html","","<p>Provides information about the Regions that are configured for multi-Region replication.\n<p>@!attribute [rw] …\n"],["Aws::DirectoryService::Types::RegisterCertificateRequest","","Aws/DirectoryService/Types/RegisterCertificateRequest.html","","<p>@note When making an API call, you may pass RegisterCertificateRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::RegisterCertificateResult","","Aws/DirectoryService/Types/RegisterCertificateResult.html","","<p>@!attribute [rw] certificate_id\n\n<pre>The identifier of the certificate.\n@return [String]</pre>\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/RegisterCertificateResult …\n"],["Aws::DirectoryService::Types::RegisterEventTopicRequest","","Aws/DirectoryService/Types/RegisterEventTopicRequest.html","","<p>Registers a new event topic.\n<p>@note When making an API call, you may pass RegisterEventTopicRequest\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">data</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::RegisterEventTopicResult","","Aws/DirectoryService/Types/RegisterEventTopicResult.html","","<p>The result of a RegisterEventTopic request.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/RegisterEventTopicResult …\n"],["Aws::DirectoryService::Types::RejectSharedDirectoryRequest","","Aws/DirectoryService/Types/RejectSharedDirectoryRequest.html","","<p>@note When making an API call, you may pass RejectSharedDirectoryRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::DirectoryService::Types::RejectSharedDirectoryResult","","Aws/DirectoryService/Types/RejectSharedDirectoryResult.html","","<p>@!attribute [rw] shared_directory_id\n\n<pre>Identifier of the shared directory in the directory consumer\naccount. ...</pre>\n"],["Aws::DirectoryService::Types::RemoveIpRoutesRequest","","Aws/DirectoryService/Types/RemoveIpRoutesRequest.html","","<p>@note When making an API call, you may pass RemoveIpRoutesRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::RemoveIpRoutesResult","","Aws/DirectoryService/Types/RemoveIpRoutesResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/RemoveIpRoutesResult AWS API Documentation\n"],["Aws::DirectoryService::Types::RemoveRegionRequest","","Aws/DirectoryService/Types/RemoveRegionRequest.html","","<p>@note When making an API call, you may pass RemoveRegionRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::RemoveRegionResult","","Aws/DirectoryService/Types/RemoveRegionResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/RemoveRegionResult AWS API Documentation\n"],["Aws::DirectoryService::Types::RemoveTagsFromResourceRequest","","Aws/DirectoryService/Types/RemoveTagsFromResourceRequest.html","","<p>@note When making an API call, you may pass RemoveTagsFromResourceRequest\n\n<pre>data as a hash:\n\n    {\n     ...</pre>\n"],["Aws::DirectoryService::Types::RemoveTagsFromResourceResult","","Aws/DirectoryService/Types/RemoveTagsFromResourceResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/RemoveTagsFromResourceResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::ResetUserPasswordRequest","","Aws/DirectoryService/Types/ResetUserPasswordRequest.html","","<p>@note When making an API call, you may pass ResetUserPasswordRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::ResetUserPasswordResult","","Aws/DirectoryService/Types/ResetUserPasswordResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/ResetUserPasswordResult AWS API Documentation\n"],["Aws::DirectoryService::Types::RestoreFromSnapshotRequest","","Aws/DirectoryService/Types/RestoreFromSnapshotRequest.html","","<p>An object representing the inputs for the RestoreFromSnapshot operation.\n<p>@note When making an API call, …\n"],["Aws::DirectoryService::Types::RestoreFromSnapshotResult","","Aws/DirectoryService/Types/RestoreFromSnapshotResult.html","","<p>Contains the results of the RestoreFromSnapshot operation.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/RestoreFromSnapshotResult …\n"],["Aws::DirectoryService::Types::SchemaExtensionInfo","","Aws/DirectoryService/Types/SchemaExtensionInfo.html","","<p>Information about a schema extension.\n<p>@!attribute [rw] directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">directory</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::ServiceException","","Aws/DirectoryService/Types/ServiceException.html","","<p>An exception has occurred in Directory Service.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the ...</pre>\n"],["Aws::DirectoryService::Types::ShareDirectoryRequest","","Aws/DirectoryService/Types/ShareDirectoryRequest.html","","<p>@note When making an API call, you may pass ShareDirectoryRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::ShareDirectoryResult","","Aws/DirectoryService/Types/ShareDirectoryResult.html","","<p>@!attribute [rw] shared_directory_id\n\n<pre>Identifier of the directory that is stored in the directory consumer ...</pre>\n"],["Aws::DirectoryService::Types::ShareLimitExceededException","","Aws/DirectoryService/Types/ShareLimitExceededException.html","","<p>The maximum number of Amazon Web Services accounts that you can share with this directory has been reached. …\n"],["Aws::DirectoryService::Types::ShareTarget","","Aws/DirectoryService/Types/ShareTarget.html","","<p>Identifier that contains details about the directory consumer account.\n<p>@note When making an API call, …\n"],["Aws::DirectoryService::Types::SharedDirectory","","Aws/DirectoryService/Types/SharedDirectory.html","","<p>Details about the shared directory in the directory owner account for which the share request in the …\n"],["Aws::DirectoryService::Types::Snapshot","","Aws/DirectoryService/Types/Snapshot.html","","<p>Describes a directory snapshot.\n<p>@!attribute [rw] directory_id\n\n<pre>The directory identifier.\n@return [String]</pre>\n"],["Aws::DirectoryService::Types::SnapshotLimitExceededException","","Aws/DirectoryService/Types/SnapshotLimitExceededException.html","","<p>The maximum number of manual snapshots for the directory has been reached. You can use the GetSnapshotLimits …\n"],["Aws::DirectoryService::Types::SnapshotLimits","","Aws/DirectoryService/Types/SnapshotLimits.html","","<p>Contains manual snapshot limit information for a directory.\n<p>@!attribute [rw] manual_snapshots_limit\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::StartSchemaExtensionRequest","","Aws/DirectoryService/Types/StartSchemaExtensionRequest.html","","<p>@note When making an API call, you may pass StartSchemaExtensionRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::StartSchemaExtensionResult","","Aws/DirectoryService/Types/StartSchemaExtensionResult.html","","<p>@!attribute [rw] schema_extension_id\n\n<pre>The identifier of the schema extension that will be applied.\n@return ...</pre>\n"],["Aws::DirectoryService::Types::Tag","","Aws/DirectoryService/Types/Tag.html","","<p>Metadata assigned to a directory consisting of a key-value pair.\n<p>@note When making an API call, you may …\n"],["Aws::DirectoryService::Types::TagLimitExceededException","","Aws/DirectoryService/Types/TagLimitExceededException.html","","<p>The maximum allowed number of tags was exceeded.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the ...</pre>\n"],["Aws::DirectoryService::Types::Trust","","Aws/DirectoryService/Types/Trust.html","","<p>Describes a trust relationship between an Managed Microsoft AD directory and an external domain.\n<p>@!attribute …\n"],["Aws::DirectoryService::Types::UnshareDirectoryRequest","","Aws/DirectoryService/Types/UnshareDirectoryRequest.html","","<p>@note When making an API call, you may pass UnshareDirectoryRequest\n\n<pre>data as a hash:\n\n    {\n      directory_id: ...</pre>\n"],["Aws::DirectoryService::Types::UnshareDirectoryResult","","Aws/DirectoryService/Types/UnshareDirectoryResult.html","","<p>@!attribute [rw] shared_directory_id\n\n<pre>Identifier of the directory stored in the directory consumer account ...</pre>\n"],["Aws::DirectoryService::Types::UnshareTarget","","Aws/DirectoryService/Types/UnshareTarget.html","","<p>Identifier that contains details about the directory consumer account with whom the directory is being …\n"],["Aws::DirectoryService::Types::UnsupportedOperationException","","Aws/DirectoryService/Types/UnsupportedOperationException.html","","<p>The operation is not supported.\n<p>@!attribute [rw] message\n\n<pre>The descriptive message for the exception.\n@return ...</pre>\n"],["Aws::DirectoryService::Types::UpdateConditionalForwarderRequest","","Aws/DirectoryService/Types/UpdateConditionalForwarderRequest.html","","<p>Updates a conditional forwarder.\n<p>@note When making an API call, you may pass UpdateConditionalForwarderRequest …\n"],["Aws::DirectoryService::Types::UpdateConditionalForwarderResult","","Aws/DirectoryService/Types/UpdateConditionalForwarderResult.html","","<p>The result of an UpdateConditionalForwarder request.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/UpdateConditionalForwarderResult …\n"],["Aws::DirectoryService::Types::UpdateNumberOfDomainControllersRequest","","Aws/DirectoryService/Types/UpdateNumberOfDomainControllersRequest.html","","<p>@note When making an API call, you may pass UpdateNumberOfDomainControllersRequest\n\n<pre>data as a hash:\n\n  ...</pre>\n"],["Aws::DirectoryService::Types::UpdateNumberOfDomainControllersResult","","Aws/DirectoryService/Types/UpdateNumberOfDomainControllersResult.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/UpdateNumberOfDomainControllersResult AWS API Documentation …\n"],["Aws::DirectoryService::Types::UpdateRadiusRequest","","Aws/DirectoryService/Types/UpdateRadiusRequest.html","","<p>Contains the inputs for the UpdateRadius operation.\n<p>@note When making an API call, you may pass UpdateRadiusRequest …\n"],["Aws::DirectoryService::Types::UpdateRadiusResult","","Aws/DirectoryService/Types/UpdateRadiusResult.html","","<p>Contains the results of the UpdateRadius operation.\n<p>@see docs.aws.amazon.com/goto/WebAPI/ds-2015-04-16/UpdateRadiusResult …\n"],["Aws::DirectoryService::Types::UpdateTrustRequest","","Aws/DirectoryService/Types/UpdateTrustRequest.html","","<p>@note When making an API call, you may pass UpdateTrustRequest\n\n<pre>data as a hash:\n\n    {\n      trust_id: ...</pre>\n"],["Aws::DirectoryService::Types::UpdateTrustResult","","Aws/DirectoryService/Types/UpdateTrustResult.html","","<p>@!attribute [rw] request_id\n\n<pre>The Amazon Web Services request identifier.\n@return [String]</pre>\n<p>@!attribute [rw] …\n"],["Aws::DirectoryService::Types::UserDoesNotExistException","","Aws/DirectoryService/Types/UserDoesNotExistException.html","","<p>The user provided a username that does not exist in your directory.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">descriptive</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::DirectoryService::Types::VerifyTrustRequest","","Aws/DirectoryService/Types/VerifyTrustRequest.html","","<p>Initiates the verification of an existing trust relationship between an Managed Microsoft AD directory …\n"],["Aws::DirectoryService::Types::VerifyTrustResult","","Aws/DirectoryService/Types/VerifyTrustResult.html","","<p>Result of a VerifyTrust request.\n<p>@!attribute [rw] trust_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">unique</span> <span class=\"ruby-constant\">Trust</span> <span class=\"ruby-constant\">ID</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">trust</span> <span class=\"ruby-identifier\">relationship</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["accept_shared_directory","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-accept_shared_directory","(params = {}, options = {})","<p>Accepts a directory sharing request that was sent from the directory owner account.\n<p>@option params [required, …\n"],["add_ip_routes","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-add_ip_routes","(params = {}, options = {})","<p>If the DNS server for your self-managed domain uses a publicly addressable IP address, you must add a …\n"],["add_region","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-add_region","(params = {}, options = {})","<p>Adds two domain controllers in the specified Region for the specified directory.\n<p>@option params [required, …\n"],["add_tags_to_resource","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-add_tags_to_resource","(params = {}, options = {})","<p>Adds or overwrites one or more tags for the specified directory. Each directory can have a maximum of …\n"],["build_request","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-build_request","(operation_name, params = {})","<p>@param params ({}) @api private\n"],["cancel_schema_extension","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-cancel_schema_extension","(params = {}, options = {})","<p>Cancels an in-progress schema extension to a Microsoft AD directory. Once a schema extension has started …\n"],["client","Aws::DirectoryService::Resource","Aws/DirectoryService/Resource.html#method-i-client","()","<p>@return [Client]\n"],["connect_directory","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-connect_directory","(params = {}, options = {})","<p>Creates an AD Connector to connect to a self-managed directory.\n<p>Before you call `ConnectDirectory`, ensure …\n"],["create_alias","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_alias","(params = {}, options = {})","<p>Creates an alias for a directory and assigns the alias to the directory. The alias is used to construct …\n"],["create_computer","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_computer","(params = {}, options = {})","<p>Creates an Active Directory computer object in the specified directory.\n<p>@option params [required, String] …\n"],["create_conditional_forwarder","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_conditional_forwarder","(params = {}, options = {})","<p>Creates a conditional forwarder associated with your Amazon Web Services directory. Conditional forwarders …\n"],["create_directory","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_directory","(params = {}, options = {})","<p>Creates a Simple AD directory. For more information, see [Simple Active Directory] in the *Directory …\n"],["create_log_subscription","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_log_subscription","(params = {}, options = {})","<p>Creates a subscription to forward real-time Directory Service domain controller security logs to the …\n"],["create_microsoft_ad","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_microsoft_ad","(params = {}, options = {})","<p>Creates a Microsoft AD directory in the Amazon Web Services Cloud. For more information, see [Managed …\n"],["create_snapshot","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_snapshot","(params = {}, options = {})","<p>Creates a snapshot of a Simple AD or Microsoft AD directory in the Amazon Web Services cloud.\n<p>&lt;note …\n"],["create_trust","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-create_trust","(params = {}, options = {})","<p>Directory Service for Microsoft Active Directory allows you to configure trust relationships. For example, …\n"],["delete_conditional_forwarder","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-delete_conditional_forwarder","(params = {}, options = {})","<p>Deletes a conditional forwarder that has been set up for your Amazon Web Services directory.\n<p>@option params …\n"],["delete_directory","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-delete_directory","(params = {}, options = {})","<p>Deletes an Directory Service directory.\n<p>Before you call `DeleteDirectory`, ensure that all of the required …\n"],["delete_log_subscription","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-delete_log_subscription","(params = {}, options = {})","<p>Deletes the specified log subscription.\n<p>@option params [required, String] :directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["delete_snapshot","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-delete_snapshot","(params = {}, options = {})","<p>Deletes a directory snapshot.\n<p>@option params [required, String] :snapshot_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">directory</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["delete_trust","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-delete_trust","(params = {}, options = {})","<p>Deletes an existing trust relationship between your Managed Microsoft AD directory and an external domain. …\n"],["deregister_certificate","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-deregister_certificate","(params = {}, options = {})","<p>Deletes from the system the certificate that was registered for secure LDAP or client certificate authentication. …\n"],["deregister_event_topic","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-deregister_event_topic","(params = {}, options = {})","<p>Removes the specified directory as a publisher to the specified Amazon SNS topic.\n<p>@option params [required, …\n"],["describe_certificate","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_certificate","(params = {}, options = {})","<p>Displays information about the certificate registered for secure LDAP or client certificate authentication. …\n"],["describe_client_authentication_settings","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_client_authentication_settings","(params = {}, options = {})","<p>Retrieves information about the type of client authentication for the specified directory, if the type …\n"],["describe_conditional_forwarders","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_conditional_forwarders","(params = {}, options = {})","<p>Obtains information about the conditional forwarders for this account.\n<p>If no input parameters are provided …\n"],["describe_directories","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_directories","(params = {}, options = {})","<p>Obtains information about the directories that belong to this account.\n<p>You can retrieve information about …\n"],["describe_domain_controllers","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_domain_controllers","(params = {}, options = {})","<p>Provides information about any domain controllers in your directory.\n<p>@option params [required, String] …\n"],["describe_event_topics","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_event_topics","(params = {}, options = {})","<p>Obtains information about which Amazon SNS topics receive status messages from the specified directory. …\n"],["describe_ldaps_settings","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_ldaps_settings","(params = {}, options = {})","<p>Describes the status of LDAP security for the specified directory.\n<p>@option params [required, String] :directory_id …\n"],["describe_regions","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_regions","(params = {}, options = {})","<p>Provides information about the Regions that are configured for multi-Region replication.\n<p>@option params …\n"],["describe_shared_directories","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_shared_directories","(params = {}, options = {})","<p>Returns the shared directories in your account.\n<p>@option params [required, String] :owner_directory_id …\n"],["describe_snapshots","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_snapshots","(params = {}, options = {})","<p>Obtains information about the directory snapshots that belong to this account.\n<p>This operation supports …\n"],["describe_trusts","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-describe_trusts","(params = {}, options = {})","<p>Obtains information about the trust relationships for this account.\n<p>If no input parameters are provided, …\n"],["disable_client_authentication","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-disable_client_authentication","(params = {}, options = {})","<p>Disables alternative client authentication methods for the specified directory.\n<p>@option params [required, …\n"],["disable_ldaps","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-disable_ldaps","(params = {}, options = {})","<p>Deactivates LDAP secure calls for the specified directory.\n<p>@option params [required, String] :directory_id …\n"],["disable_radius","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-disable_radius","(params = {}, options = {})","<p>Disables multi-factor authentication (MFA) with the Remote Authentication Dial In User Service (RADIUS …\n"],["disable_sso","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-disable_sso","(params = {}, options = {})","<p>Disables single-sign on for a directory.\n<p>@option params [required, String] :directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["enable_client_authentication","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-enable_client_authentication","(params = {}, options = {})","<p>Enables alternative client authentication methods for the specified directory.\n<p>@option params [required, …\n"],["enable_ldaps","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-enable_ldaps","(params = {}, options = {})","<p>Activates the switch for the specific directory to always use LDAP secure calls.\n<p>@option params [required, …\n"],["enable_radius","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-enable_radius","(params = {}, options = {})","<p>Enables multi-factor authentication (MFA) with the Remote Authentication Dial In User Service (RADIUS …\n"],["enable_sso","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-enable_sso","(params = {}, options = {})","<p>Enables single sign-on for a directory. Single sign-on allows users in your directory to access certain …\n"],["errors_module","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-c-errors_module","()","<p>@api private\n"],["get_directory_limits","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-get_directory_limits","(params = {}, options = {})","<p>Obtains directory limit information for the current Region.\n<p>@return [Types::GetDirectoryLimitsResult] …\n"],["get_snapshot_limits","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-get_snapshot_limits","(params = {}, options = {})","<p>Obtains the manual snapshot limits for a directory.\n<p>@option params [required, String] :directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Contains</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["list_certificates","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-list_certificates","(params = {}, options = {})","<p>For the specified directory, lists all the certificates registered for a secure LDAP or client certificate …\n"],["list_ip_routes","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-list_ip_routes","(params = {}, options = {})","<p>Lists the address blocks that you have added to a directory.\n<p>@option params [required, String] :directory_id …\n"],["list_log_subscriptions","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-list_log_subscriptions","(params = {}, options = {})","<p>Lists the active log subscriptions for the Amazon Web Services account.\n<p>@option params [String] :directory_id …\n"],["list_schema_extensions","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-list_schema_extensions","(params = {}, options = {})","<p>Lists all schema extensions applied to a Microsoft AD Directory.\n<p>@option params [required, String] :directory_id …\n"],["list_tags_for_resource","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-list_tags_for_resource","(params = {}, options = {})","<p>Lists all tags on a directory.\n<p>@option params [required, String] :resource_id\n\n<pre>Identifier (ID) of the directory ...</pre>\n"],["message","Aws::DirectoryService::Errors::AccessDeniedException","Aws/DirectoryService/Errors/AccessDeniedException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::AuthenticationFailedException","Aws/DirectoryService/Errors/AuthenticationFailedException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::CertificateAlreadyExistsException","Aws/DirectoryService/Errors/CertificateAlreadyExistsException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::CertificateDoesNotExistException","Aws/DirectoryService/Errors/CertificateDoesNotExistException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::CertificateInUseException","Aws/DirectoryService/Errors/CertificateInUseException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::CertificateLimitExceededException","Aws/DirectoryService/Errors/CertificateLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::ClientException","Aws/DirectoryService/Errors/ClientException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::DirectoryAlreadyInRegionException","Aws/DirectoryService/Errors/DirectoryAlreadyInRegionException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::DirectoryAlreadySharedException","Aws/DirectoryService/Errors/DirectoryAlreadySharedException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::DirectoryDoesNotExistException","Aws/DirectoryService/Errors/DirectoryDoesNotExistException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::DirectoryLimitExceededException","Aws/DirectoryService/Errors/DirectoryLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::DirectoryNotSharedException","Aws/DirectoryService/Errors/DirectoryNotSharedException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::DirectoryUnavailableException","Aws/DirectoryService/Errors/DirectoryUnavailableException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::DomainControllerLimitExceededException","Aws/DirectoryService/Errors/DomainControllerLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::EntityAlreadyExistsException","Aws/DirectoryService/Errors/EntityAlreadyExistsException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::EntityDoesNotExistException","Aws/DirectoryService/Errors/EntityDoesNotExistException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InsufficientPermissionsException","Aws/DirectoryService/Errors/InsufficientPermissionsException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InvalidCertificateException","Aws/DirectoryService/Errors/InvalidCertificateException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InvalidClientAuthStatusException","Aws/DirectoryService/Errors/InvalidClientAuthStatusException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InvalidLDAPSStatusException","Aws/DirectoryService/Errors/InvalidLDAPSStatusException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InvalidNextTokenException","Aws/DirectoryService/Errors/InvalidNextTokenException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InvalidParameterException","Aws/DirectoryService/Errors/InvalidParameterException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InvalidPasswordException","Aws/DirectoryService/Errors/InvalidPasswordException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::InvalidTargetException","Aws/DirectoryService/Errors/InvalidTargetException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::IpRouteLimitExceededException","Aws/DirectoryService/Errors/IpRouteLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::NoAvailableCertificateException","Aws/DirectoryService/Errors/NoAvailableCertificateException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::OrganizationsException","Aws/DirectoryService/Errors/OrganizationsException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::RegionLimitExceededException","Aws/DirectoryService/Errors/RegionLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::ServiceException","Aws/DirectoryService/Errors/ServiceException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::ShareLimitExceededException","Aws/DirectoryService/Errors/ShareLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::SnapshotLimitExceededException","Aws/DirectoryService/Errors/SnapshotLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::TagLimitExceededException","Aws/DirectoryService/Errors/TagLimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::UnsupportedOperationException","Aws/DirectoryService/Errors/UnsupportedOperationException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::DirectoryService::Errors::UserDoesNotExistException","Aws/DirectoryService/Errors/UserDoesNotExistException.html#method-i-message","()","<p>@return [String]\n"],["new","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-c-new","(*args)","<p>@overload initialize(options)\n\n<pre>@param [Hash] options\n@option options [required, Aws::CredentialProvider] ...</pre>\n"],["new","Aws::DirectoryService::Errors::AccessDeniedException","Aws/DirectoryService/Errors/AccessDeniedException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::AccessDeniedException] …\n"],["new","Aws::DirectoryService::Errors::AuthenticationFailedException","Aws/DirectoryService/Errors/AuthenticationFailedException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::AuthenticationFailedException] …\n"],["new","Aws::DirectoryService::Errors::CertificateAlreadyExistsException","Aws/DirectoryService/Errors/CertificateAlreadyExistsException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::CertificateAlreadyExistsException] …\n"],["new","Aws::DirectoryService::Errors::CertificateDoesNotExistException","Aws/DirectoryService/Errors/CertificateDoesNotExistException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::CertificateDoesNotExistException] …\n"],["new","Aws::DirectoryService::Errors::CertificateInUseException","Aws/DirectoryService/Errors/CertificateInUseException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::CertificateInUseException] …\n"],["new","Aws::DirectoryService::Errors::CertificateLimitExceededException","Aws/DirectoryService/Errors/CertificateLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::CertificateLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::ClientException","Aws/DirectoryService/Errors/ClientException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::ClientException] …\n"],["new","Aws::DirectoryService::Errors::DirectoryAlreadyInRegionException","Aws/DirectoryService/Errors/DirectoryAlreadyInRegionException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::DirectoryAlreadyInRegionException] …\n"],["new","Aws::DirectoryService::Errors::DirectoryAlreadySharedException","Aws/DirectoryService/Errors/DirectoryAlreadySharedException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::DirectoryAlreadySharedException] …\n"],["new","Aws::DirectoryService::Errors::DirectoryDoesNotExistException","Aws/DirectoryService/Errors/DirectoryDoesNotExistException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::DirectoryDoesNotExistException] …\n"],["new","Aws::DirectoryService::Errors::DirectoryLimitExceededException","Aws/DirectoryService/Errors/DirectoryLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::DirectoryLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::DirectoryNotSharedException","Aws/DirectoryService/Errors/DirectoryNotSharedException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::DirectoryNotSharedException] …\n"],["new","Aws::DirectoryService::Errors::DirectoryUnavailableException","Aws/DirectoryService/Errors/DirectoryUnavailableException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::DirectoryUnavailableException] …\n"],["new","Aws::DirectoryService::Errors::DomainControllerLimitExceededException","Aws/DirectoryService/Errors/DomainControllerLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::DomainControllerLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::EntityAlreadyExistsException","Aws/DirectoryService/Errors/EntityAlreadyExistsException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::EntityAlreadyExistsException] …\n"],["new","Aws::DirectoryService::Errors::EntityDoesNotExistException","Aws/DirectoryService/Errors/EntityDoesNotExistException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::EntityDoesNotExistException] …\n"],["new","Aws::DirectoryService::Errors::InsufficientPermissionsException","Aws/DirectoryService/Errors/InsufficientPermissionsException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InsufficientPermissionsException] …\n"],["new","Aws::DirectoryService::Errors::InvalidCertificateException","Aws/DirectoryService/Errors/InvalidCertificateException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InvalidCertificateException] …\n"],["new","Aws::DirectoryService::Errors::InvalidClientAuthStatusException","Aws/DirectoryService/Errors/InvalidClientAuthStatusException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InvalidClientAuthStatusException] …\n"],["new","Aws::DirectoryService::Errors::InvalidLDAPSStatusException","Aws/DirectoryService/Errors/InvalidLDAPSStatusException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InvalidLDAPSStatusException] …\n"],["new","Aws::DirectoryService::Errors::InvalidNextTokenException","Aws/DirectoryService/Errors/InvalidNextTokenException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InvalidNextTokenException] …\n"],["new","Aws::DirectoryService::Errors::InvalidParameterException","Aws/DirectoryService/Errors/InvalidParameterException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InvalidParameterException] …\n"],["new","Aws::DirectoryService::Errors::InvalidPasswordException","Aws/DirectoryService/Errors/InvalidPasswordException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InvalidPasswordException] …\n"],["new","Aws::DirectoryService::Errors::InvalidTargetException","Aws/DirectoryService/Errors/InvalidTargetException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::InvalidTargetException] …\n"],["new","Aws::DirectoryService::Errors::IpRouteLimitExceededException","Aws/DirectoryService/Errors/IpRouteLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::IpRouteLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::NoAvailableCertificateException","Aws/DirectoryService/Errors/NoAvailableCertificateException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::NoAvailableCertificateException] …\n"],["new","Aws::DirectoryService::Errors::OrganizationsException","Aws/DirectoryService/Errors/OrganizationsException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::OrganizationsException] …\n"],["new","Aws::DirectoryService::Errors::RegionLimitExceededException","Aws/DirectoryService/Errors/RegionLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::RegionLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::ServiceException","Aws/DirectoryService/Errors/ServiceException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::ServiceException] …\n"],["new","Aws::DirectoryService::Errors::ShareLimitExceededException","Aws/DirectoryService/Errors/ShareLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::ShareLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::SnapshotLimitExceededException","Aws/DirectoryService/Errors/SnapshotLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::SnapshotLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::TagLimitExceededException","Aws/DirectoryService/Errors/TagLimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::TagLimitExceededException] …\n"],["new","Aws::DirectoryService::Errors::UnsupportedOperationException","Aws/DirectoryService/Errors/UnsupportedOperationException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::UnsupportedOperationException] …\n"],["new","Aws::DirectoryService::Errors::UserDoesNotExistException","Aws/DirectoryService/Errors/UserDoesNotExistException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::DirectoryService::Types::UserDoesNotExistException] …\n"],["new","Aws::DirectoryService::Resource","Aws/DirectoryService/Resource.html#method-c-new","(options = {})","<p>@param options ({}) @option options [Client] :client\n"],["register_certificate","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-register_certificate","(params = {}, options = {})","<p>Registers a certificate for a secure LDAP or client certificate authentication.\n<p>@option params [required, …\n"],["register_event_topic","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-register_event_topic","(params = {}, options = {})","<p>Associates a directory with an Amazon SNS topic. This establishes the directory as a publisher to the …\n"],["reject_shared_directory","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-reject_shared_directory","(params = {}, options = {})","<p>Rejects a directory sharing request that was sent from the directory owner account.\n<p>@option params [required, …\n"],["remove_ip_routes","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-remove_ip_routes","(params = {}, options = {})","<p>Removes IP address blocks from a directory.\n<p>@option params [required, String] :directory_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Identifier</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["remove_region","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-remove_region","(params = {}, options = {})","<p>Stops all replication and removes the domain controllers from the specified Region. You cannot remove …\n"],["remove_tags_from_resource","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-remove_tags_from_resource","(params = {}, options = {})","<p>Removes tags from a directory.\n<p>@option params [required, String] :resource_id\n\n<pre>Identifier (ID) of the directory ...</pre>\n"],["request_id","Aws::DirectoryService::Errors::AccessDeniedException","Aws/DirectoryService/Errors/AccessDeniedException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::AuthenticationFailedException","Aws/DirectoryService/Errors/AuthenticationFailedException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::CertificateAlreadyExistsException","Aws/DirectoryService/Errors/CertificateAlreadyExistsException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::CertificateDoesNotExistException","Aws/DirectoryService/Errors/CertificateDoesNotExistException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::CertificateInUseException","Aws/DirectoryService/Errors/CertificateInUseException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::CertificateLimitExceededException","Aws/DirectoryService/Errors/CertificateLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::ClientException","Aws/DirectoryService/Errors/ClientException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::DirectoryAlreadyInRegionException","Aws/DirectoryService/Errors/DirectoryAlreadyInRegionException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::DirectoryAlreadySharedException","Aws/DirectoryService/Errors/DirectoryAlreadySharedException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::DirectoryDoesNotExistException","Aws/DirectoryService/Errors/DirectoryDoesNotExistException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::DirectoryLimitExceededException","Aws/DirectoryService/Errors/DirectoryLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::DirectoryNotSharedException","Aws/DirectoryService/Errors/DirectoryNotSharedException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::DirectoryUnavailableException","Aws/DirectoryService/Errors/DirectoryUnavailableException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::DomainControllerLimitExceededException","Aws/DirectoryService/Errors/DomainControllerLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::EntityAlreadyExistsException","Aws/DirectoryService/Errors/EntityAlreadyExistsException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::EntityDoesNotExistException","Aws/DirectoryService/Errors/EntityDoesNotExistException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InsufficientPermissionsException","Aws/DirectoryService/Errors/InsufficientPermissionsException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InvalidCertificateException","Aws/DirectoryService/Errors/InvalidCertificateException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InvalidClientAuthStatusException","Aws/DirectoryService/Errors/InvalidClientAuthStatusException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InvalidLDAPSStatusException","Aws/DirectoryService/Errors/InvalidLDAPSStatusException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InvalidNextTokenException","Aws/DirectoryService/Errors/InvalidNextTokenException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InvalidParameterException","Aws/DirectoryService/Errors/InvalidParameterException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InvalidPasswordException","Aws/DirectoryService/Errors/InvalidPasswordException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::InvalidTargetException","Aws/DirectoryService/Errors/InvalidTargetException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::IpRouteLimitExceededException","Aws/DirectoryService/Errors/IpRouteLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::NoAvailableCertificateException","Aws/DirectoryService/Errors/NoAvailableCertificateException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::OrganizationsException","Aws/DirectoryService/Errors/OrganizationsException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::RegionLimitExceededException","Aws/DirectoryService/Errors/RegionLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::ServiceException","Aws/DirectoryService/Errors/ServiceException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::ShareLimitExceededException","Aws/DirectoryService/Errors/ShareLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::SnapshotLimitExceededException","Aws/DirectoryService/Errors/SnapshotLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::TagLimitExceededException","Aws/DirectoryService/Errors/TagLimitExceededException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::UnsupportedOperationException","Aws/DirectoryService/Errors/UnsupportedOperationException.html#method-i-request_id","()","<p>@return [String]\n"],["request_id","Aws::DirectoryService::Errors::UserDoesNotExistException","Aws/DirectoryService/Errors/UserDoesNotExistException.html#method-i-request_id","()","<p>@return [String]\n"],["reset_user_password","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-reset_user_password","(params = {}, options = {})","<p>Resets the password for any user in your Managed Microsoft AD or Simple AD directory.\n<p>You can reset the …\n"],["restore_from_snapshot","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-restore_from_snapshot","(params = {}, options = {})","<p>Restores a directory using an existing directory snapshot.\n<p>When you restore a directory from a snapshot, …\n"],["share_directory","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-share_directory","(params = {}, options = {})","<p>Shares a specified directory (`DirectoryId`) in your Amazon Web Services account (directory owner) with …\n"],["start_schema_extension","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-start_schema_extension","(params = {}, options = {})","<p>Applies a schema extension to a Microsoft AD directory.\n<p>@option params [required, String] :directory_id …\n"],["unshare_directory","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-unshare_directory","(params = {}, options = {})","<p>Stops the directory sharing between the directory owner and consumer accounts.\n<p>@option params [required, …\n"],["update_conditional_forwarder","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-update_conditional_forwarder","(params = {}, options = {})","<p>Updates a conditional forwarder that has been set up for your Amazon Web Services directory.\n<p>@option params …\n"],["update_number_of_domain_controllers","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-update_number_of_domain_controllers","(params = {}, options = {})","<p>Adds or removes domain controllers to or from the directory. Based on the difference between current …\n"],["update_radius","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-update_radius","(params = {}, options = {})","<p>Updates the Remote Authentication Dial In User Service (RADIUS) server information for an AD Connector …\n"],["update_trust","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-update_trust","(params = {}, options = {})","<p>Updates the trust that has been set up between your Managed Microsoft AD directory and an self-managed …\n"],["verify_trust","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-verify_trust","(params = {}, options = {})","<p>Directory Service for Microsoft Active Directory allows you to configure and verify trust relationships. …\n"],["waiter_names","Aws::DirectoryService::Client","Aws/DirectoryService/Client.html#method-i-waiter_names","()","<p>@api private @deprecated\n"]]}}